[0.1.0]
* Initial version

[0.1.1]
* Added screenshots

[0.2.0]
* Updated to 2017-01-25T03-14-52Z

[0.2.1]
* Updated to 2017-02-16T01-47-30Z
* This version fixes the settings bug

[0.2.2]
* New base image 0.10.0

[0.2.3]
* Updated to 2017-03-16T21-50-32Z

[0.2.4]
* Updated to 2017-04-25T01-27-49Z

[0.2.5]
* Updated to 2017-04-29T00-40-27Z

[0.2.6]
* Updated to 2017-05-05T01-14-51Z

[0.2.7]
* Updated to 2017-06-13T19-01-01Z

[0.3.0]
* Update to 2017-07-24T18-27-35Z

[1.0.0]
* Update to 2017-08-05T00-00-53Z

[1.1.0]
* Update to 2017-09-29T19-16-56Z
* This version requires at Cloudron v1.7.2

[1.2.0]
* Update to 2017-10-27T18-59-02Z

[1.3.0]
* Update to 2017-11-22T19-55-46Z

[1.4.0]
* Update to 2017-12-28T01-21-00Z

[1.5.0]
* Update minio to 2018-01-02T23-07-00Z
* Important [security fix](https://blog.minio.io/minio-release-jan-2nd-2018-security-advisory-ef0342a4ddba)
* fix timing oracle attack against signature V2/V4 verification (#5335) (17 hours ago)
* Fix PostPolicy form tests without hardcoded dates (#5337) (2 days ago)
* Integrate existing remove bucket functionality from newux to current UI (#5289) (4 days ago)
* Update config.json guide with details of version 22 (#5328) (5 days ago)
* fix: Better printing of XL config init error (#5284) (5 days ago)
* Fix config.json parsing to fetch correct storage class (#5327) (6 days ago)
* Update yaml files to lastest version RELEASE.2017-12-28T01-21-00Z (6 days ago)

[1.6.0]
* Update minio to 2018-01-18T20-33-21Z
* Critical [security fix](https://blog.minio.io/minio-release-jan-18-2018-security-advisory-4c64ca87721b)
* Fix free and total space reported in startup banner (#5419) (25 hours ago)
* replace all "crypto/sha256" with "github.com/minio/sha256-simd" (#5391) (26 hours ago)
* gateway/manta: Bump manta dependencies (#5414) (26 hours ago)
* fix authentication bypass against Admin-API (#5412) (26 hours ago)
* Removes logrus package and refactors logging messages (#5293) (29 hours ago)
* Document pre-existing data in fs mode (#5365) (30 hours ago)
* Update storage class related documents (#5399) (35 hours ago)
* Don't delete lock ops entry during state change (#5388) (2 days ago)
* Remove upload healing related dead code (#5404) (3 days ago)
* Fix multi-file dropzone upload issue causing bucket listing duplication (#5392) (5 days ago)

[1.7.0]
* Update minio to 2018-02-09T22-40-05Z
* Rolling Upgrade Support to Minio Server.
* Breaking Changes:
    * Users using Minio Client mc with Minio Server will have to upgrade to the latest mc release
    * Admin API has changed
* Deprecated and removed in-memory object caching.
* Default bit-rot protection is now using HighwayHash
* Move to go1.9.4 with recent security release (#5502)
* Seek to offset 0 after Truncate() (#5375)
* Bring semantic versioning to provide for rolling upgrades (#5495)
* Document object name limitations on Windows (#5491)
* Deprecate and remove in-memory object caching (#5481)
* Make sure to convert the disk errors to object errors (#5480)
* Reduce Minio access key minimum length to 3 (#5478) <A. Elleuch>
* Quorum based listing for XL (#5475)
* fs.json file should be closed in CompleteMultipartUpload (#5482)
* simplify storage class validation (#5470)
* Remove stale code from minio server (#5479)

[1.8.0]
* Update minio to 2018-03-12T21-25-28Z
* Added comprehensive support for Server Side Encryption (SSE-C).
* Fix deadlock in in-place CopyObject decryption/encryption (#5637)
* Remove madmin docs from top level docs directory (#5636)
* Add healthcheck endpoints (#5543)
* Return authHeaderMalformed for an incorrect region in signature (#5618)
* Save ETag when updating metadata (#5626)
* Cleanup orchestration documents (#5623)
* Remove unwanted errorIf calls (#5621)
* SSE-C: Add support in Bucket Post Policy (#5607)
* Support SSE-C multipart source objects in CopyObject (#5603)
* Handle incoming proxy requests ip, scheme (#5591)
* Make sure to filter out internal metadata (#5601)
* Use toAPIErrorCode in HeadObject handler when decrypting request fails (#5600)

[1.9.0]
* Update minio to 2018-03-16T22-52-12Z
* Fixes a regression in Heal() implementation due to lock contention.
* Major cleanup of notification sub-system.

[1.9.0-1]
* Update minio to 2018-03-19T19-22-06Z
* This release fixes a critical migration issue when upgrading minio between certain versions. Please see issue for more details as described by community member (@kybi) here : #5667.
* [refactor] simplify en/decrypted size computation (#5658)
* Fix format migration regression (#5668)

[1.10.0]
* Update minio to 2018-03-30T00-38-44Z
* Fix backend format for disk-cache - not to use FS format.json (#5732) (03/29/18)
* Fix help message to be uniform across env vars (#5735) (03/30/18)
* Apply storageClass data while config migration (#5737) (03/30/18)
* Fix PUT bucket notification deadlocks (#5734) (03/29/18)
* Fix block id length upto 8bytes only for azure gateway. (#5731) (03/29/18)
* Improve some wording in disk caching docs (#5730) (03/28/18)
* Remove deadcode related to multipart cleanup for fs (#5716) (03/28/18)

[1.11.0]
* Update minio to 2018-04-04T05-20-54Z

[1.12.0]
* Update minio to 2018-04-12T23-41-09Z

[1.13.0]
* Update minio to 2018-04-19T22-54-58Z

[1.14.0]
* Update minio to 2018-04-27T23-33-52Z
* Remove logging of redundant messages when running Minio server.
* Upgrading to this release will automatically migrate any erroneous bucket policies to strict S3 compliant bucket policies. Please check all your bucket policies after upgrading to this release.
* Fix s3 compatibility fixes for getBucketLocation,headBucket,deleteBucket (#5842) (04/23/18)
* Disable "chunked" uploading by the GCS client for objects smaller than the chunk size. (#5835) (04/20/18)

[1.15.0]
* Update minio to 2018-05-04T23-13-12Z
* Fixes a [critical DDoS vulnerability](https://blog.minio.io/minio-release-may-5-2018-security-advisory-ceca2850d40)
* Use defer style to stop tickers to avoid current/possible misuse (#5883) (05/04/18)
* Do not use crypto.SHA3_256 as placeholder for HighwayHash256 (#5847) (05/04/18)
* fs: fix logging by not logging common scenarios (#5882) (05/02/18)
* Return NoSuchKey for anonReqs with s3:ListBucket policy (#5876) (05/01/18)
* Remove s3:ListObjects policy action to be in sync with AWS-S3 (#5875) (05/01/18)
* Copy an object without user-defined metadata for Azure gateway (#5872) (05/02/18)

[1.16.0]
* Update minio to 2018-05-11T00-29-24Z

[1.17.0]
* Update minio to 2018-05-16T23-35-33Z

[1.18.0]
* Update minio to 2018-05-25T19-49-13Z

[1.19.0]
* Update minio to 2018-06-08T03-49-38Z

[1.20.0]
* Update minio to 2018-06-09T03-43-35Z

[1.21.0]
* Update minio to 2018-06-22T23-48-46Z

[1.22.0]
* Update minio to 2018-06-29T02-11-29Z

[1.23.0]
* Update minio to 2018-07-13T00-09-07Z
* Miscellaneous bug fixes in encryption/decryption, notification targets, signature validation
  and etcd federation targets.
* Update federation target to etcd/clientv3 (#6119) (07/13/18)
* fix size computation for en/decrypted objects (#6147) (07/12/18)
* Support multiple values for x-amz-meta header (#6145) (07/12/18)
* Fix decrypted object size and key derivation in CopyObjectPart (#6141) (07/12/18)
* SignatureV4 validation with Metadata in the presignedUrl (#5894) (07/11/18)
* Update distributed docs (#6123) (07/10/18)
* Avoid startup abort when a notify target is down (#6126) (07/10/18)

[1.24.0]
* Update minio to 2018-07-23T18-34-49Z
* Improvements in logging and error message printing
* Do not set Key and BucketName in ErrorResponse, if empty (#6174) (07/23/18)
* Do not use parallel deletes to avoid random I/O (#6178) (07/20/18)
* Log x-amz-request-id as log and XML error response (#6173) (07/20/18)
* Remove ppc64le support from .travis.yml (#6180) (07/20/18)
* Remove unused functions and constants (#6175) (07/20/18)
* Do not trace HTTP body of PostPolicyBuckethandler (#6177) (07/20/18)

[1.25.0]
* Update minio to 2018-07-31T02-11-47Z

[1.26.0]
* Update minio to 2018-08-02T23-11-36Z

[1.27.0]
* Update minio to 2018-08-21T00-37-20Z

[1.28.0]
* Update minio to 2018-08-25T01-56-38Z

[1.29.0]
* Update minio to 2018-09-01T00-38-25Z

[1.30.0]
* Update minio to 2018-09-11T01-39-21Z

[1.31.0]
* Update minio to 2018-09-12T18-49-56Z

[1.32.0]
* Update minio to 2018-09-25T21-34-43Z

[1.33.0]
* Update minio to 2018-10-05T01-03-03Z

[1.34.0]
* Update minio to 2018-10-06T00-15-16Z
* Use latest base image

[1.35.0]
* Update minio to 2018-10-18T00-28-58Z

[1.36.0]
* Update minio to 2018-10-25T01-27-03Z

[1.37.0]
* Update minio to 2018-11-06T01-01-02Z

[1.38.0]
* Update minio to 2018-11-17T01-23-48Z

[1.39.0]
* Update minio to 2018-11-30T03-56-59Z

[1.40.0]
* Update minio to 2018-12-06T01-27-43Z

[1.41.0]
* Update minio to 2018-12-13T02-04-19Z

[1.42.0]
* Update minio to 2018-12-19T23-46-24Z

[1.43.0]
* Update minio to 2018-12-27T18-33-08Z

[1.44.0]
* Update minio to 2019-01-16T21-44-08Z

[1.45.0]
* Update minio to 2019-01-23T23-18-58Z

[1.46.0]
* Update minio to 2019-01-31T00-31-19Z

[1.47.0]
* Update minio to 2019-02-06T21-16-36Z

[1.48.0]
* Update minio to 2019-02-12T21-58-47Z

[1.49.0]
* Update minio to 2019-02-14T00-21-45Z

[1.50.0]
* Update minio to 2019-02-20T22-44-29Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2019-02-20T22-44-29Z)
* Security Fix: Incoming requests with unusual behavior are now validated.Please see here for more details. Upgrade is recommended.
* Simplified and fixed vault token renewal. See #7241 for details.
* Added support for HTTP/2.0 in Minio Server. See #7204 for details.

[1.51.0]
* Update minio to 2019-02-26T19-51-46Z
* Bug fixes in various areas such as json & csv handling.
* s3: Encode StartAfter when encoding type is passed (#7281) (02/25/19)
* s3: Add support of encodingType parameter (#7265) (02/24/19)

[1.52.0]
* Update minio to 2019-03-06T22-47-10Z
* Added support for temporary credentials for minio users via AssumeRole API. See here for details.
* Miscellaneous bugfix improvements in areas such as snappy compression, copyobjectpart, listobjects performance and detecting mountpoints.

[1.53.0]
* Update minio to 2019-03-13T21-59-47Z
* Miscellaneous improvements in various areas such as healing, S3Select, http2, etcd & coreDNS integrations.

[1.54.0]
* Update minio to 2019-03-20T22-38-47Z

[1.55.0]
* Update minio to 2019-03-27T22-35-21Z

[1.56.0]
* Update miniot to 2019-04-04T18-31-46Z
* (security) fix privilege escalation against inter-node communication
* (security) Validate if bucket names are internal
* canonicalize ETag correctly

[1.57.0]
* Update minio to 2019-04-09T01-22-30Z

[1.58.0]
* Update minio to 2019-04-18T21-44-59Z

[1.59.0]
* Update minio to 2019-04-23T23-50-36Z

[1.60.0]
* Update minio to 2019-05-02T19-07-09Z

[1.61.0]
* Update minio to 2019-05-14T23-57-45Z

[1.62.0]
* Update minio to 2019-05-23T00-29-34Z

[1.63.0]
* Update minio to 2019-06-01T03-46-14Z

[1.64.0]
* Update minio to 2019-06-04T01-15-58Z

[1.65.0]
* Update minio to 2019-06-11T00-44-33Z

[1.66.0]
* Update minio to 2019-06-15T23-07-18Z

[1.67.0]
* Update minio to 2019-06-19T18-24-42Z

[1.68.0]
* Update minio to 2019-06-27T21-13-50Z

[1.69.0]
* Update minio to 2019-07-05T21-20-21Z

[1.70.0]
* Update minio to 2019-07-10T00-34-56Z

[1.71.0]
* Update minio to 2019-07-17T22-54-12Z

[1.72.0]
* Update minio to 2019-07-24T02-02-23Z

[1.73.0]
* Update minio to 2019-08-01T22-18-54Z

[1.74.0]
* Update minio to 2019-08-07T01-59-21Z

[1.75.0]
* Update minio to 2019-08-14T20-37-41Z

[1.76.0]
* Update minio to 2019-08-21T19-40-07Z

[1.77.0]
* Update minio to 2019-08-29T00-25-01Z

[1.78.0]
* Update minio to 2019-09-05T23-24-38Z

[1.79.0]
* Update minio to 2019-09-11T19-53-16Z

[1.80.0]
* Update minio to 2019-09-18T21-55-05Z

[1.81.0]
* Update minio to 2019-09-25T18-25-51Z

[1.82.0]
* Update minio to 2019-09-26T19-42-35Z

[1.83.0]
* Update minio to 2019-10-02T21-19-38Z

[1.84.0]
* Update minio to 2019-10-11T00-38-09Z

[1.85.0]
* Update minio to 2019-10-12T01-39-57Z

[1.86.0]
* Update minio to 2019-12-19T22-52-26Z

[1.87.0]
* Update minio to 2019-12-30T05-45-39Z

[1.88.0]
* Update minio to 2020-01-03T19-12-21Z

[1.89.0]
* Update minio to 2020-01-16T03-05-44Z

[1.90.0]
* Update minio to 2020-01-16T22-40-29Z

[1.91.0]
* Update minio to 2020-01-25T02-50-51Z

[1.92.0]
* Update minio to 2020-02-07T23-28-16Z

[1.93.0]
* Update minio to 2020-02-20T22-51-23Z

[1.94.0]
* Update minio to 2020-02-27T00-23-05Z

[1.95.0]
* Update minio to 2020-03-06T22-23-56Z

[1.96.0]
* Update minio to 2020-03-09T18-26-53Z

[1.97.0]
* Update minio to 2020-03-14T02-21-58Z

[1.98.0]
* Update minio to 2020-03-19T21-49-00Z

[1.99.0]
* Update minio to 2020-03-25T07-03-04Z

[1.100.0]
* Update minio to 2020-04-02T21-34-49Z

[1.101.0]
* Update minio to 2020-04-04T05-39-31Z

[1.102.0]
* Update minio to 2020-04-10T03-34-42Z

[1.103.0]
* Update minio to 2020-04-15T00-39-01Z

[1.104.0]
* Update minio to 2020-04-15T19-42-18Z

[1.105.0]
* Update minio to 2020-04-23T00-58-49Z
* Use latest docker image

[1.106.0]
* Update minio to 2020-04-28T23-56-56Z

[1.107.0]
* Update minio to 2020-05-01T22-19-14Z

[1.108.0]
* Update minio to 2020-05-08T02-40-49Z

[1.109.0]
* Update minio to 2020-05-16T01-33-21Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-05-16T01-33-21Z)

[1.110.0]
* Update minio to 2020-05-28T23-29-21Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-05-28T23-29-21Z)

[1.111.0]
* Update minio to 2020-05-29T14-08-49Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-05-29T14-08-49Z)

[1.112.0]
* Update minio to 2020-06-01T17-28-03Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-06-01T17-28-03Z)

[1.113.0]
* Update minio to 2020-06-03T22-13-49Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-06-03T22-13-49Z)
* Implement UploadPart-Copy API for Azure. See (#9747) for more details.
* Concurrent loading of bucket metadata. See (#9749) for more details.
* Delete dopped parts in multi-part upload. See (#9753) for more details.
* Fix manually passing healing options. See (#9756) for more details.

[1.114.0]
* Update minio to 2020-06-14T18-32-17Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-06-14T18-32-17Z)
* Fixes a regression in timeout for local lockers, See #9828 for more details

[1.115.0]
* Update minio to 2020-06-18T02-23-35Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-06-18T02-23-35Z)

[1.116.0]
* Update minio to 2020-06-22T03-12-50Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-06-22T03-12-50Z)

[1.117.0]
* Update minio to 2020-07-02T00-15-09Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-07-02T00-15-09Z)
* fix: readiness needs to be like liveness. See (#9941) for more details.
* Allow optionally to disable range caching. See (#9908) for more details.
* Simplify background heal and trigger heal items early. See (#9928) for more details.
* update gorilla deps for query parsing performance improvements. See (#9929) for more details.
* Improvements to online status. See (#9858, #9808) for more details.
* pop entries from each drives in parallel. See (#9918) for more details.

[1.118.0]
* Update minio to 2020-07-12T19-14-17Z
* Avoid startup lock-up when nodes are coming online, fixes an issue with healthcheck routine which ended up reusing a downed client resulting in pereptual offline of that node - see #10026 for more details.
* Finally fix the CORS regression introduced by incompatible usage after gorilla/mux update
* fix: avoid broken link when preview image (#10021) (07/12/20) (Harshavardhana)
* fix: cors handling again for not just OPTIONS request (#10025) (07/12/20) (Harshavardhana)
* fix: make sure to use new restClient for healthcheck (#10026) (07/11/20) (Harshavardhana)
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-07-12T19-14-17Z)

[1.119.0]
* Update minio to 2020-07-14T19-14-30Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-07-14T19-14-30Z)
* Handle array policies in JWT claim. See (#10041) for more details.
* admin info was not correct in certain situations when nodes are offline, was also loosing information - this release fixes this - see #10015

[1.120.0]
* Update minio to 2020-07-18T18-48-16Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-07-18T18-48-16Z)
* Multiple disk healing related bug fixes are available in this release related PRs #10076, #10073, #10069, #10058
* Federated setups now automatically figure out the online server to proxy the requests to.
* S3 BucketLifecycle API compatibility fixes.
* Quota checks now run continously piggy backing on the crawler.

[1.121.0]
* Update minio to 2020-07-20T02-25-16Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-07-20T02-25-16Z)
* SSE-C key rotation issue in CopyObject caused by a compatibility fix in previous release, refer #10085
* Lifecycle AWS S3 API compatibility fixes #10083 #10084
* Change TCP timeouts for incoming connections, internode is kept aggressive as necessary.

[1.122.0]
* Update minio to 2020-07-22T00-26-33Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-07-22T00-26-33Z)

[1.123.0]
* Update minio to 2020-07-24T22-43-05Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-07-24T22-43-05Z)
* Fixes a regression in bucket usage metrics to remove double counting, see #10126
* Add additional CORS such as Content-Encoding to be allowed as part of CORS requests, see #10124
* Quota validation is more aggressive, to enforce quotas quickly, see #10127
* Handle sudden removal of disks for on-going I/O, errors were not handled appropriately, see #10128

[1.124.0]
* Update minio to RELEASE.2020-07-27T18-37-02Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-07-27T18-37-02Z)
* Add missing Content-Disposition to CORS Handler. See (#10137) for more details.
* Browser: Enforce bucket quota in the case of browser uploads. See (#10129) for more details.
* Simplify JWKS decoding in OPenID. See (#10119) for more details.
* Fix gateway walk implementation to list correctly. See (#10131) for more details.
* Allow shareable URLs using rotating creds. See (#10135) for more details.

[1.125.0]
* Update minio to 2020-07-31T03-39-05Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-07-31T03-39-05Z)
* Improvements to OBD tests. See (#10141) for more details.
* Rename replication target handler. See (#10154, #10142) for more details.
* Turn off bucket usage metrics in Gateway mode. See (#10150) for more details.
* Fix: Do not enforce policy claim if OPA is set. See (#10149) for more details.
* Fix: Cache validation for offline drives. See (#10146) for more details.
* Fix: avoid buffering of server sent events by proxies. See (#10164) for more details.
* Fix: Pass context all the way down to the network call in lockers. See (#10161) for more details.
* Fix: bucket usage metrics update in fs mode. See (#10152) for more details.

[1.126.0]
* Update minio to 2020-08-05T21-34-13Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-08-05T21-34-13Z)
* Fixes an important issue in asymmetric setups standard storage class was miscalcuated, leading to incorrect quorum expectations, make this uniform see #10208

[1.127.0]
* Update minio to 2020-08-08T04-50-06Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-08-08T04-50-06Z)
* Fixes regression in remote ENV parsing to allow for special characters in MinIO secrets, see #10223

[1.128.0]
* Update minio to 2020-08-13T02-39-50Z
* [Full changelog](https://github.com/minio/minio/releases/tag//RELEASE.2020-08-13T02-39-50Z)
* Security Fix to remove insecure custom headers. See (#10244) for more details.
* Web env related improvements. See (#10246, #10251 ) for more details.
* Enforce replication in web handler. See (#10249) for more details.
* Use correct endpoints for offline drives.

[1.129.0]
* Update minio to 2020-08-18T19-41-00Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-08-18T19-41-00Z)
* Web UI Regression: Set default retention for uploaded objects. See (#10285) for more details.
* Single timeout for most locked API/heal ops. See (#10275) for more details.
* List common prefixes in ListObjectVersions. See (#10286) for more details.

[1.130.0]
* Update minio to 2020-08-25T00-21-20Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-08-25T00-21-20Z)

[1.131.0]
* Update minio to 2020-08-26T00-00-49Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-08-26T00-00-49Z)

[1.132.0]
* Update minio to 2020-08-27T05-16-20Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-08-27T05-16-20Z)

[1.133.0]
* Update minio to 2020-09-02T18-19-50Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-09-02T18-19-50Z)
* Delete marker compatibility on a version suspended bucket. See (#10395) for more details.
* Fix: ListObjectsV1 failure with offline nodes. See (#10386) for more details.
* Improvements to healing to check for truncated parts. See (#10399) for more details.
* Fix: write quorum calculation for bucket operation when erasure set size is odd. See (#10364) for more details.

[1.134.0]
* Update minio to 2020-09-05T07-14-49Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-09-05T07-14-49Z)
* Listing improvements with parallel disk.Walk calls across many nodes, refer #10420
* Context now passed around at storage layer for future context support, refer #10321

[1.135.0]
* Update minio to 2020-09-08T23-05-18Z
* Minor integer overflow bug in S3 Select. See (#10437) for more details.
* Cleanup temp directory of older entries automatically. See (#10439) for more details.
* Remove MaxConnsPerHost settings to avoid potential hangs. See (#10438) for more details.
* Ignore config values from unknown subsystems. See (#10432) for more details.

[1.136.0]
* Update minio to 2020-09-10T22-02-45Z
* Change permissions only when required

[1.137.0]
* Update minio to 2020-09-17T04-49-20Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-09-17T04-49-20Z)
* fix background disk healing. See (#10502) for more details.
* Minor fixes in listing, replication and ilm.

[1.138.0]
* Update minio to 2020-09-21T22-31-59Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-09-21T22-31-59Z)
* Support for "directory" objects. See (#10499) for more details.
* Improve performance in listobjectparts and completemultipartupload in FS mode. See (#10522, #10510) for more details.
* More fixes in FS mode. See (#10512, #10533) for more details.
* Replication improvements. See (#10498, #10525) for more details.
* Browser: Support for searching objects. See (#10424) for more details.
* Miscellaneous fixes in ilm, healing, obd, and request start time logging. See (#10532, #10530, #10504, #10516) for more details.
* Changes related to locks. See (#10509, #10508) for more details.

[1.139.0]
* Update minio to 2020-09-23T19-18-30Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-09-23T19-18-30Z)
* Improvements to replication. See (#10542, #10552) for more details.
* Change "disks" node to "drives" in OBD/info output. See (#10540) for more details.
* Please use mc version RELEASE.2020-09-23T20-02-13Z or newer along with this version of minio.
* Fix: uploads when quota is enabled. See (#10551) for more details.
* Fix: reduce healthcheck interval for storage rest client. See (#10544) for more details.

[1.140.0]
* Update minio to 2020-09-26T03-44-56Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-09-26T03-44-56Z)
* Lock related improvements. See (#10571) for more details.
* Faster disconnects and improvements to network error checks. See (#10567, #10562) for more details.
* Improvements to healing. See (#10569, #10561) for more details.
* federation: Honor range with UploadObjectPart to a different cluster. See (#10570) for more details.
* avoid ListBuckets returning quorum errors when node is down. See (#10555) for more details.

[1.141.0]
* Update minio to 2020-10-03T02-19-42Z
* Source configuration from /app/data/env.sh

[1.142.0]
* Update minio to 2020-10-09T22-55-05Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-10-09T22-55-05Z)
* Improvements to locking. See (#10644, #10640, #10637) for more details.
* remove safeMode behavior in startup. See (#10645) for more details.
* fix: cleanup old directory handling code. See (#10633) for more details.
* Fix replication slowness. See (#10632) for more details.

[1.143.0]
* Update minio to 2020-10-12T21-53-21Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-10-12T21-53-21Z)
* Bump default idleConnsPerHost to control conns in time_wait . See(#10653) for more details.
* Add bandwidth monitoring for replication. See (#10501 #10652) for more details.ukla)

[1.144.0]
* Update minio to 2020-10-18T21-54-12Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-10-18T21-54-12Z)
* Improvements to bandwidth monitoring. See (#10683, #10698) for more details.
* Improvements to crawler. See (#10667, #10677, ) for more details.
* Healing related improvements. See (#10686, #10687, #10688) for more details.
* Add DNS cache support to avoid DNS flooding. See (#10693) for more details.
* update NTP package for accurate time resolution fixes. See (#10670) for more details.
* rename crawler config option to heal. See (#10678) for more details.
* Improvements to connecting to disks during startup. See (#10685, #10669) for more details.
* fix: Send delete marker creation event when appropriate. See (#10696) for more details.

[1.145.0]
* Update minio to 2020-10-27T04-03-55Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-10-27T04-03-55Z)
* Critical fixes related to replaced drives. See (#10748, #10759, #10764, #10766) for more details. Affects all releases since
    RELEASE.2020-09-05T07-14-49Z, if you are running any releases since RELEASE.2020-09-05T07-14-49Z it is recommended
    that you should schedule for an upgrade.
* Rolling upgrade is not supported (Internode API upgrade) (k8s/container deployments must upgrade all containers at once).
* Improvements to caching. See (#10762, #10763) for more details.
* Fix in Get/HeadObject to return 404 on dangling objects. See (#10753) for more details.
* IAM related improvements. See (#10719, #10700) for more details.
* Expire offline lockers. See (#10749) for more details.
* Aggressively slow down auto-healing. See (#10730) for more details.

[1.146.0]
* Update minio to 2020-10-28T08-16-50Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-10-28T08-16-50Z)
* Continuation of critical fixes made in the last release.
* Healing handles drive order mismatches. See (#10773) for more details.
* Fixes for CopyObject,PutObjectTagging APIs to ensure drive order, also make sure GetObject honors fallbacks due to drive order changes. See (#10772) for more details.

[1.147.0]
* Update minio to 2020-11-06T23-17-07Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-11-06T23-17-07Z)
Add support for ListObject caching. See (#10814, #10648, #10784, #10844, #10836, #10837, #10834, #10820, #10809, #10800, #10802, #10826, #10825, #10824) for more details.
* fix: replaced drive properly by healing the entire drive. See (#10799) for more details.
* allow requests to be proxied when server is booting up. See (#10790) for more details.
* Optimize decryptObjectInfo. See (#10726) for more details.
* fix: add support for O_DIRECT reads for erasure backends. See (#10718) for more details.

[1.148.0]
* Update minio to 2020-11-12T22-33-34Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-11-12T22-33-34Z)
* Fix to sort directory objects correctly. See (#10886) for more details.
* fix: HDFS list bucket when subpath is provided. See (#10884) for more details.
* list cache improvements. See (#10879, #10883) for more details.
* fix: simplify healing metadata objects per set. See (#10867) for more details.
* DeletedObjects: Return objects on lock failure. See (#10874) for more details.

[1.149.0]
* Update minio to 2020-11-13T20-10-18Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-11-13T20-10-18Z)
* Upgrade to Go 1.15.5 to address CVE-2020-28362, CVE-2020-28367 and CVE-2020-28366. [details](https://groups.google.com/g/golang-announce/c/NpBGTTmKzpM/m/fLguyiM2CAAJ)

[1.150.0]
* Update minio to 2020-11-19T23-48-16Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-11-19T23-48-16Z)

[1.150.1]
* Update minio to 2020-11-25T22-36-25Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-11-25T22-36-25Z)

[1.151.0]
* Update minio to 2020-12-03T05-49-24Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-12-03T05-49-24Z)

[1.151.1]
* Update minio to 2020-12-10T01-54-29Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-12-10T01-54-29Z)

[1.151.2]
* Update minio to 2020-12-12T08-39-07Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-12-12T08-39-07Z)

[1.151.3]
* Update minio to 2020-12-16T05-05-17Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-12-16T05-05-17Z)

[1.151.4]
* Update minio to 2020-12-18T03-27-42Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-12-18T03-27-42Z)

[1.152.0]
* Update minio to 2020-12-26T01-35-54Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-12-26T01-35-54Z)

[1.153.0]
* Update minio to 2020-12-29T23-29-29Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2020-12-29T23-29-29Z)
* Fix: Avoid crash in crawler when lifecycle is not initialized. See (#11170) for more details.
* Fixes and improvements in healing. See (#11171, #11173) for more details.
* Fix: re-arrange handlers to handle requests on /minio. See (#11177) for more details.

[1.154.0]
* Update minio to 2021-01-05T05-22-38Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-01-05T05-22-38Z)
* do not use large buffers if not necessary. See (#11220, #11213) for more details.
* Minor optimizations in handlers. See (#11211, #11217) for more details.
* remove/deprecate crawler disable environment. See (#11214) for more details.
* fix: calculate prometheus disks_offline/disks_total correctly. See (#11215) for more details.
* Optimizations to Get and Head object APIs. See (#11200, #11201, #11204, #11207) for more details.
* fix: admin trace throttled requests. See (#11192) for more details.

[1.155.0]
* Update minio to 2021-01-08T21-18-21Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-01-08T21-18-21Z)

[1.156.0]
* Update minio to 2021-01-16T02-19-44Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-01-16T02-19-44Z)
* fix: preserve cache calculated previously while moving from v2 to v3. See (#11269) for more details.
* listing with prefix prefixed with '/' should be ignored. See (#11268) for more details.
* enable small and large file optimization. See (#11260) for more details.
* fix: enable xl.json to xl.meta only if legacy drive is found. See (#11255) for more details.

[1.157.0]
* Update minio to 2021-01-30T00-20-58Z
* Important security fixes
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-01-30T00-20-58Z)

[1.157.1]
* Update minio to 2021-02-01T22-56-52Z
* Fixes an important regression in federation implementation, refer f737a02
* ILM improvements, trigger expiry upon HEAD/GET
* tagging: Add event notif for PUT object tagging (#11366) (02/01/21) (Anis Elleuch)
* xl: Create a delete-marker when no other version exists (#11362) (02/01/21) (Anis Elleuch)
* fix: regression introduced in federated listing buckets (02/01/21) (Harshavardhana)
* Reverting TOC due to gluegun incompatibility. Revert this commit once we migrate to new docs site (#11402) (02/01/21) (Ravind Kumar)
* ilm: Remove object in HEAD/GET if having an applicable ILM rule (#11296) (02/01/21) (Anis Elleuch)
* fix: build on OpenBSD (#11384) (02/01/21) (Daniel Jakots)
* fix: docs typo in README_zh_CN (#11375) (01/31/21) (swartz-k)
* crypto: deprecate native Hashicorp Vault support (#11352) (01/30/21) (Andreas Auernhammer)

[1.158.0]
* Update minio to 2021-02-07T01-31-02Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-02-07T01-31-02Z)
* Fixes an important regression in lock expiration that can lead to expanded setup deployments to fail refer #11468, #11446
* Fix ILM implementation bugs in refer #11471, #11462, #11423
* Fix replication implementation bugs related to metadata checks, delete marker deletion refer #11465, #11410
* Rolling upgrades are not supported in this release, please upgrade all servers at once.

[1.159.0]
* Update minio to 2021-02-11T08-23-43Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-02-11T08-23-43Z)

[1.159.1]
* Update minio to 2021-02-14T04-01-33Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-02-14T04-01-33Z)

[1.159.2]
* Update minio to 2021-02-19T04-38-02Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-02-19T04-38-02Z)

[1.159.3]
* Update minio to 2021-02-24T18-44-45Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-02-24T18-44-45Z)
* use crypto/sha256 for FIPS 140-2 compliance. See (#11623) for more details.
* fix: Ensure cache has finished deserializing. See (#11620) for more details.
* Use DSYNC for xl.meta writes and NOATIME for reads. See (#11615) for more details.
* remove Content-MD5 on Range requests. See (#11611) for more details.

[1.159.4]
* Update minio to 2021-03-01T04-20-55Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-03-01T04-20-55Z)

[1.159.5]
* Update minio to 2021-03-04T00-53-13Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-03-04T00-53-13Z)
* This is a security bug fix release

[1.159.6]
* Update minio to 2021-03-10T05-11-33Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-03-10T05-11-33Z)

[1.159.7]
* Update minio to 2021-03-12T00-00-47Z
* handle trimming '/' if present in the object names (#11765) (03/11/21) (Harshavardhana)
* feat: Add QR Code to Share Object Modal (#11735) (03/12/21) (S Santhosh Nagaraj)
* Browser: Shared link has content-disposition header (#11712) (03/11/21) (Anis Elleuch)
* Fix redact LDAP password properly (#11762) (03/10/21) (Poorna Krishnamoorthy)
* add release build-arg to docker multiarch builds (#11752) (03/10/21) (Harshavardhana)
* Update S2 compression (#11753) (03/10/21) (Klaus Post)

[1.159.8]
* Update minio to 2021-03-17T02-33-02Z
* This release fixes a MITM attack in aws-chunked signature v4 encoding
* browser now supports QR code with presigned URLs.
* Support DeleteMarker disable setting in replication configuration.
* s3v4: read and verify S3 signature v4 chunks separately (#11801) (03/16/21) (Andreas Auernhammer)
* Fix STANDARD defaults, point to new docs site. (#11800) (03/16/21) (Ravind Kumar)
* erasure pools enable faster checks for file not found (#11799) (03/16/21) (Klaus Post)
* policy: Add Merge API (#11793) (03/16/21) (Anis Elleuch)
* fix: erasure index based reading based on actual ParityBlocks (#11792) (03/15/21) (Harshavardhana)
* s3 select: fix date_diff behavior (#11786) (03/15/21) (Klaus Post)
* fix: runtime issue on FreeBSD due to missing O_NOATIME/O_DSYNC support (#11790) (03/15/21) (Steve Wills)
* fix: mips 32bit compilation issue (#11775) (03/15/21) (Harshavardhana)
* add missing principalId in web notifications (#11777) (03/13/21) (Harshavardhana)
* Replication: Enforce DeleteMarker disable setting (#11720) (03/13/21) (Poorna Krishnamoorthy)
* Add consoleAdmin as a default canned policy (#11770) (03/13/21) (Nitish Tiwari)
* cmd/os-readdir_other.go - return nil with err (#11772) (03/12/21) (Philip Brown)
* update browser assets for react-qr-code (03/11/21) (Harshavardhana)

[1.159.9]
* Update minio to 2021-03-26T00-00-41Z
* do not call LocalStorageInfo on gateways (#11903) (03/25/21) (Harshavardhana)
* fix: reject duplicate keys in PostPolicyJSON document (#11902) (03/25/21) (Harshavardhana)
* fix error could not read /proc ion windows. (#11868) (03/25/21) (Klaus Post)
* highwayhash: update to latest version containing an arm64 fix (#11901) (03/25/21) (Andreas Auernhammer)
* Converge PolicyDBGet functions in IAM (#11891) (03/25/21) (Aditya Manthramurthy)
* xl: avoid sending Delete() remote call for fully successful runs (03/24/21) (Harshavardhana)
* fix: LDAP policy application on user policy (#11887) (03/24/21) (Aditya Manthramurthy)
* metrics: Add canceled requests (#11881) (03/24/21) (Klaus Post)
* xl: add checks for minioTmpMetaBucket in CreateFile (03/24/21) (Harshavardhana)
* xl: remove cleanupDir instead use Delete() (#11880) (03/24/21) (Harshavardhana)
* metrics: Change type of minio_s3_requests_waiting_total to gauge (#11884) (03/24/21) (Anis Elleuch)
* xl: CreateFile shouldn't prematurely timeout (#11878) (03/24/21) (Harshavardhana)
* Revert "xl: CreateFile shouldn't prematurely timeout (#11854)" (03/23/21) (Harshavardhana)
* simplify OS instrumentation remove functions for global variables (03/23/21) (Harshavardhana)
* fix: optionally enable tracing posix calls (03/23/21) (Ritesh H Shukla)
* fix: AccountInfo API for LDAP users (#11874) (03/23/21) (Aditya Manthramurthy)
* fix: LDAP groups handling and group mapping (#11855) (03/23/21) (Harshavardhana)
* avoid healObjects recursively healing at empty path (#11856) (03/23/21) (Harshavardhana)
* xl: CreateFile shouldn't prematurely timeout (#11854) (03/22/21) (Harshavardhana)
* fix: merge duplicate keys in post policy (#11843) (03/20/21) (Harshavardhana)
* Add process uptime metric (#11844) (03/20/21) (Ritesh H Shukla)
* crypto: simplify Context encoding (#11812) (03/20/21) (Andreas Auernhammer)
* remove MINIO_IO_DEADLINE support (#11841) (03/20/21) (Harshavardhana)
* fix: querying LDAP group/user policy (#11840) (03/20/21) (Aditya Manthramurthy)
* xl: Reduce usage of isDirEmpty() (#11838) (03/19/21) (Anis Elleuch)
* xl: Remove non needed check for empty dir (#11835) (03/19/21) (Anis Elleuch)
* fix: sql cast function when converting to float (#11817) (03/19/21) (mailsmail)
* Introduce metrics caching for performant metrics (#11831) (03/19/21) (Ritesh H Shukla)
* lifecycle: Support old BucketLifecycleConfiguration tag (#11828) (03/19/21) (Anis Elleuch)
* add missing java headless jdk in mint (03/18/21) (Harshavardhana)
* fix: handle weird drives sporadic read O_DIRECT behavior (#11832) (03/18/21) (Harshavardhana)
* fix: bucket / object count and size returned as 0 (#11825) (03/19/21) (Shireesh Anjal)
* [feat] Add configurable deadline for writers (#11822) (03/18/21) (Harshavardhana)
* Add main_test.go to run system tests with coverage (#11783) (03/18/21) (iternity-dotcom)
* mrf: Enhance behavior for better results (#11788) (03/18/21) (Anis Elleuch)
* No retries if minio server is down/connection refused err (#11809) (03/18/21) (ebozduman)
* dsync: use refresh timer properly to avoid leaks (#11820) (03/17/21) (Harshavardhana)
* allow configuring delete cleanup interval from default 10minutes (#11818) (03/17/21) (Harshavardhana)
* storage write call path optimizations (#11805) (03/17/21) (Harshavardhana)
* add additional metrics per disk API latency, API call counts #11250) (03/17/21) (Anis Elleuch)

[1.160.0]
* Update minio to 2021-04-06T23-11-00Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-04-06T23-11-00Z)
* Improve error message from SetRemoteTargetHandler (#11909) (03/26/21) (Poorna Krishnamoorthy)
* unmarshal both LegalHold and ObjectLockLegalHold XML types (#11921) (03/29/21) (Harshavardhana)
* crawling: Apply lifecycle then decide healing action (#11563) (03/31/21) (Anis Elleuch)
* add policy conditions support for signatureVersion and authType (#11947) (04/02/21) (Harshavardhana)
* fix: properly close leaking bandwidth monitor channel (#11967) (04/05/21) (Harshavardhana)

[1.161.0]
* Update minio to 2021-04-18T19-26-29Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-04-18T19-26-29Z)
Improve replication performance. See (#12080, #12054, #12009) for more details.
* Minor improvements in Lifecycle. See (#12077, #12039) for more details.
* fix: calculate correct content range with partNumber query. See (#11992) for more details.
* scanner: Shuffle disks to scan. See (#12036) for more details.
* Add runtime mem stats to server info. See (#11995) for more details.

[1.162.0]
* Update minio to 2021-04-22T15-44-28Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-04-22T15-44-28Z)
* fix: pick valid FileInfo additionally based on dataDir. See (#12116) for more details.
* Service account related improvements. See (#12117) for more details.
* fix: newMultipartUpload should go to same pool as existing object. See (#12106) for more details.
* ignore more tokens in some mountinfo entries. See (#12104) for more details.
* Grab read lock while reading usage cache. See (#12111) for more details.

[1.163.0]
* Update minio to 2021-05-11T23-27-41Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-05-11T23-27-41Z)

[1.164.0]
* Update minio to 2021-05-18T00-53-28Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-05-18T00-53-28Z)

[1.164.1]
* Update minio to 2021-05-20T22-31-44Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-05-20T22-31-44Z)

[1.164.2]
* Update minio to 2021-05-22T02-34-39Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-05-22T02-34-39Z)

[1.164.3]
* Update minio to 2021-05-27T22-06-31Z
* [Full changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-05-27T22-06-31Z)

[1.164.4]
* Update minio to 2021-06-07T21-40-51Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-06-07T21-40-51Z)

[1.164.5]
* Update minio to 2021-06-14T01-29-23Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-06-14T01-29-23Z)

[1.165.0]
* Update minio to 2021-06-17T00-10-46Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-06-17T00-10-46Z)

[1.165.1]
* Update minio to 2021-07-08T01-15-01Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-07-08T01-15-01Z)

[1.166.0]
* Update minio to 2021-07-22T05-23-32Z
* Use new minio dashboard 2021-06-13T17-48-22Z

[1.167.0]
* Update minio to 2021-09-15T04-54-25Z
* Update minio dashboard to 2021-09-02T09-21-27Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2021-09-15T04-54-25Z)
* SSE-KMS support was not working with copyObject() refer #13206
* Support UserInfo claims refer #12469

[2.0.0]
* **This is a major update. The changes below are required for the app to work. The newer version of the app has 2 domain names - one for the console (browser UI) and one of the API domain (API/S3 requests). **
  * Be sure to take a backup before updating the app.
  * Once updated, go to the `Location` view and set the API Domain.
  * Update the various apps/servers/code to use the API domain as the backup destination.

[2.1.0]
* Update minio to 2022-01-28T02-28-16Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-01-28T02-28-16Z)
* make sure to pass groups for all credentials while verifying policies by @harshavardhana in #14193
* do not expect 'speedtest' to be a bucket by @harshavardhana in #14199
* Optimize read locker cleanup by @klauspost in #14200
* Ensure that AssumeRole calls are sent to Audit log by @donatello in #14202

[2.2.0]
* Update minio to 2022-02-05T04-40-59Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-02-05T04-40-59Z)

[2.2.1]
* Update minio to 2022-02-07T08-17-33Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-02-07T08-17-33Z)

[2.3.0]
* Update minio to 2022-02-18T01-50-10Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-02-18T01-50-10Z)

[2.3.1]
* Update minio to 2022-02-24T22-12-01Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-02-24T22-12-01Z)

[2.3.2]
* Update minio to 2022-02-26T02-54-46Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-02-26T02-54-46Z)

[2.3.3]
* Update minio to 2022-03-05T06-32-39Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-03-05T06-32-39Z)

[2.3.4]
* Update minio to 2022-03-08T22-28-51Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-03-08T22-28-51Z)

[2.4.0]
* Update minio to 2022-03-11T11-08-23Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-03-11T11-08-23Z)

[2.4.1]
* Update minio to 2022-03-11T23-57-45Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-03-11T23-57-45Z)
* add filesystem group change policy for large minio deployments by @dharapvj in #14528
* Fix regression from range GET proxying #14345 by @poornas in #14532

[2.4.2]
* Update minio to 2022-03-14T18-25-24Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-03-14T18-25-24Z)

[2.4.3]
* Update minio to 2022-03-17T06-34-49Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-03-17T06-34-49Z)

[2.4.4]
* Update minio to 2022-03-22T02-05-10Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-03-22T02-05-10Z)

[2.4.5]
* Update minio to 2022-03-24T00-43-44Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-03-24T00-43-44Z)

[2.4.6]
* Update minio to 2022-03-26T06-49-28Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-03-26T06-49-28Z)

[2.4.7]
* Update minio to 2022-04-01T03-41-39Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-04-01T03-41-39Z)
* Always get the actual object size in bulk SSE-S3 by @vadmeste in #14637
* listing: decrypt only SSE-S3 single-part ETags by @aead in #14638
* Load IAM with a single listing call by @donatello in #14640
* fix: multiple pool setup return incorrect DeleteMarker metadata by @harshavardhana in #14642
* Quick type for fix ttfb entry in table by @eco-minio in #14647

[2.4.8]
* Update minio to 2022-04-09T15-09-52Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-04-09T15-09-52Z)
* Add metrics for observing IAM sync operations by @donatello in #14680
* Write deployment id to health report at the start by @anjalshireesh in #14673
* etag: add Format and Decrypt functions by @aead in #14659
* Remove unnecessary log printing by @vadmeste in #14685
* listing: improve listing of encrypted objects by @aead in #14667
* Set inspect-input.txt modtime by @klauspost in #14688

[2.4.9]
* Update minio to 2022-04-12T06-55-35Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-04-12T06-55-35Z)
* Fix a privilege escalation security issue - https://github.com/minio/minio/security/advisories/GHSA-2j69-jjmg-534q
* Console v0.15.10 by @dvaldivia in #14723
* align atomic variables once more for 32bit by @harshavardhana in #14721
* make sure to pass Lifecycle if set for List filtering by @harshavardhana in #14722
* Set permissions for GitHub actions by @naveensrinivasan in #14693
* Add support for minio tier type by @krisis in #14468

[2.4.10]
* Update minio to 2022-04-16T04-26-02Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-04-16T04-26-02Z)
* Allow parallel decom migration threads to be more than erasure sets by @krishnasrinivas in #14733
* Include speedtest as part of healthinfo api by @anjalshireesh in #14696
* Support templating accessKey existingSecret and bucket name by @yisiqi in #14643
* enable go1.18.x builds by @harshavardhana in #14746
* [S3Select] Switch to new parquet library and reduce locking by @donatello in #14731
* Update Console v0.15.13 by @dvaldivia in #14751

[2.4.11]
* Update minio to 2022-04-26T01-20-24Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-04-26T01-20-24Z)

[2.4.12]
* Update minio to 2022-04-29T01-27-09Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-04-29T01-27-09Z)

[2.4.13]
* Update minio to 2022-05-03T20-36-08Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-05-03T20-36-08Z)
* fix: panic in browser redirect handler for unexpected r.Host by @harshavardhana in #14844
* fix: reject invalid r.Host headers by @harshavardhana in #14846
* fix: disallow newer policies, users & groups with space characters by @harshavardhana in #14845
* Check error status codes by @klauspost in #14850
* Log Range Header by @klauspost in #14851
* fix: remove embedded-policy as requested by the user by @harshavardhana in #14847

[2.4.14]
* Update minio to 2022-05-04T07-45-27Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-05-04T07-45-27Z)
* Add audit log for decommissioning

[2.5.0]
* Update minio to 2022-05-08T23-50-31Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-05-08T23-50-31Z)
* Fix missing annotations for PVCs by @Sea-you in #14793
* Add OPA doc and remove deprecation marking by @donatello in #14863
* avoid concurrent reads and writes to opts.UserDefined by @harshavardhana in #14862

[2.5.1]
* Update minio to 2022-05-19T18-20-59Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-05-19T18-20-59Z)
* pools: GetObjectNInfo should cover locking during object read by @vadmeste in #14887
* tracing: Add disk path to storage tracing by @vadmeste in #14883
* Add support for Access Management Plugin by @donatello in #14875
* If decom of an object fails, retry for 3 times by @krishnasrinivas in #14861
* update new name for MINIO_POLICY_OPA_URL by @itsericqiu in #14898
* add support for extra Prometheus labels by @harshavardhana in #14899
* use BadRequest HTTP status instead of Conflict for certain errors by @harshavardhana in #14900

[2.5.2]
* Update minio to 2022-05-23T18-45-11Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-05-23T18-45-11Z)
* mrf: Fix stale MRF data showed in heal info by @vadmeste in #14953
* Relax site replication syncing of service accounts by @poornas in #14955
* Fix WalkDir fallback hot loop by @klauspost in #14961
* fetch bucket replication stats across peers in single call by @harshavardhana in #14956

[2.5.3]
* Update minio to 2022-05-26T05-48-41Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-05-26T05-48-41Z)
* replication healing: Fix typo when healing bucket quota info by @vadmeste in #14966
* Do not use inline data size in xl.meta quorum calculation by @vadmeste in #14831
* hash-set: Add file input for debug tool by @klauspost in #14965
* site replication: Allow replication rule edit by @poornas in #14969
* fix: copyObject on versioned bucket when updating metadata by @harshavardhana in #14971

[2.6.0]
* Update minio to 2022-06-02T02-11-04Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-06-02T02-11-04Z)
* feat: Single drive XL implementation

[2.7.0]
* Update minio to 2022-06-07T00-33-41Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-06-07T00-33-41Z)

[2.7.1]
* Update minio to 2022-06-07T00-33-41Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-06-07T00-33-41Z)
* do not print errors upon 'nil' err (06/06/22) (Minio Trusted)

[2.7.2]
* Update minio to 2022-06-10T16-59-15Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-06-10T16-59-15Z)
* Include the entirety of vendor folder in .gitignore by @kaankabalak in #15046
* relax O_DIRECT in single drive mode if unsupported by @harshavardhana in #15045
* Bump Console v0.18.1 by @dvaldivia in #15051
* healthcheck cluster endpoint should honor write/readQuorum per pool by @harshavardhana in #15053
* fix: make metrics endpoint responsive by reducing the chatter by @harshavardhana in #15055

[2.7.3]
* Update minio to 2022-06-11T19-55-32Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-06-11T19-55-32Z)
* debug: verify diff on latest objects on source and target buckets by @harshavardhana in #15069
* fix: add missing minio_s3_requests_total by @harshavardhana in #15070
* Update dperf to 0.4.1 by @vadmeste in #15071
* sts: Avoid printing all STS errors by @vadmeste in #15065

[2.7.4]
* Update minio to 2022-06-17T02-00-35Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-06-17T02-00-35Z)
* debug: Close object after check by @vadmeste in #15077
* kms: initialize after cli parsing by @vadmeste in #15076
* Support configuration of a session policy file by @rgcostea in #15078
* erasure-sd: Evaluate versioning Prefix in multi-delete objects by @vadmeste in #15081
* fix: simplify healthcheck code to freeze calls only once by @harshavardhana in #15082
* add bucket level S3 received/sent bytes by @harshavardhana in #15084
* fix: background local test also via channel by @harshavardhana in #15086
* add dataErrs for healing debug log by @harshavardhana in #15092

[2.7.5]
* Update minio to 2022-06-20T23-13-45Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-06-20T23-13-45Z)
* Update gopsutil to v3.22.5 by @danieljakots in #15098
* fix: ignore printing io.EOF during WalkDir() on concurrently modified objects by @harshavardhana in #15100
* Avoid CompleteMultipart freeze with unexpected network issue by @vadmeste in #15102
* Add generic function to retrieve config value with metadata by @donatello in #15083
* fix typo in site replication version healing by @poornas in #15103
* Add import/export APIs to migrate bucket metadata by @poornas in #14929

[2.7.6]
* Update minio to 2022-06-25T15-50-16Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-06-25T15-50-16Z)
* remove gateway banner and some other TODO loggers by @harshavardhana in #15125
* s3-verify: Fix endpoint and missing comparison by @vadmeste in #15129
* Parallelize new disks healing of different erasure sets by @vadmeste in #15112
* fips: simplify TLS configuration by @aead in #15127
* fix: cant parse comment without '=' in environment file by @anoworl in #15130
* add go1.18 specific curve preferences by @harshavardhana in #15132

[2.7.7]
* Update minio to 2022-06-30T20-58-09Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-06-30T20-58-09Z)
* Supports parity configuration of '0', '1' enabling support for 2,3 drive setups for erasure coding.
* add license banner for GNU AGPLv3 by @harshavardhana in #15178
* save MinIO version with each version (8-bytes extra) by @harshavardhana in #15170
* Remove unnecessary code in WalkDir() by @vadmeste in #15168
* perform object sweep after equeue the latest CopyObject() by @harshavardhana in #15183
* Upgrade reedsolomon/compression packages by @klauspost in #15182
* Revert proxying requests with precondition errors by @vadmeste in #15180
* allow support for parity '0', '1' enabling support for 2,3 drive setups by @harshavardhana in #15171
* handle missing funcNames for handlers by @harshavardhana in #15188
* update banner to reflect the final agreed UI by @harshavardhana in #15192
* site healing: Skip stale bucket metadata updates from peer by @poornas in #15186
* de-couple caller context to avoid internal races by @harshavardhana in #15195
* Save minio version in xl.meta while healing in outdated disks by @vadmeste in #15181
* finalize startup-banner and remove unnecessary logs by @harshavardhana in #15202
* Make ReqInfo concurrency safe by @klauspost in #15204
* update banner with version+runtime by @harshavardhana in #15206

[2.8.0]
* Update minio to 2022-07-04T21-02-54Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-07-04T21-02-54Z)
* Simplify Prometheus metrics gather by @harshavardhana in #15210
* site healing: Skip stale iam asset updates from peer. by @poornas in #15203
* return appropriate error under 'decom status' by @harshavardhana in #15213
* do not print errFileNotFound in entries.resolve() by @harshavardhana in #15216
* decom IAM, Bucket metadata properly by @harshavardhana in #15220

[2.8.1]
* Update minio to 2022-07-06T20-29-49Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-07-06T20-29-49Z)
* Major scanner metrics overhaul now you can watch scanner metrics in realtime using mc admin top scanner #15161
* Multiple external IDP management simplification #15152
* Decommission now supports mutations such as delete, update of metadata on objects from an active decom pool.

[2.8.2]
* Update minio to 2022-07-13T23-29-44Z
* Update mc to 2022-07-11T16-16-12Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-07-13T23-29-44Z)
* Adding error check for jetstream connection by @rayjanoka in #15252
* Fix Helm chart does not support special characters in access/secret key by @dormanze in #15243
* do not recreate deprecated delete-journal.bin, only read it by @harshavardhana in #15185
* remove auto-port warning for console-address by @harshavardhana in #15260
* Allow compaction at bucket top level. by @klauspost in #15266
* fix grammatic errors and minor rewrites by @daniel-bogusz95 in #15264
* Purge the objects immediately when x-minio-force-delete header is passed in DeleteObject and DeleteBucket API by @Praveenrajmani in #15148
* metric: add KMS-related metrics by @aead in #15258
* site replication: Ignore missing targets/replication config during re… by @poornas in #15269
* Add compressed file index by @klauspost in #15247
* Add 4K minimum compressed size by @klauspost in #15273
* Do not print erasure read log when a disk becomes offline by @vadmeste in #15277
* allow custom speedtest bucket by @harshavardhana in #15271
* fix: simplify passing auditLog eventType by @harshavardhana in #15278
* Avoid listing buckets from a suspended pool by @vadmeste in #15283
* preserve incoming query params in success_action_redirect by @harshavardhana in #15280
* Upgrade compression package by @klauspost in #15284
* Add padding to compressed+encrypted files by @klauspost in #15282
* resync: Avoid concurrent access/write on map by @poornas in #15286
* Add a github workflow test for root disk detection by @vadmeste in #15267
* Fix tier-add help by @krisis in https://github.com/minio/mc/pull/4148
* add mc ping command by @sinhaashish in https://github.com/minio/mc/pull/4074

[2.8.3]
* Update minio to 2022-07-15T03-44-22Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-07-15T03-44-22Z)
* correct RefreshCall & UnlockCall of DefaultTimeouts by @shichanglin5 in #15288
* listing: Expire object versions past expiry by @krisis in #15287
* Updating minio-go by @cniackz in #15297
* Fix site replication healing of missing buckets by @poornas in #15298

[2.8.4]
* Update minio to 2022-07-17T15-43-14Z
* Update mc to 2022-07-17T15-43-14Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-07-17T15-43-14Z)
* add reconnect duration allows for verifying disconnect intervals by @harshavardhana in #15306
* copy query values before update to preserve the expected keys by @harshavardhana in #15310
* support 'admin update' for hotfix versions by @harshavardhana in #15308
* allow decommission to continue when healing by @harshavardhana in #15312
* Allow topologySpreadConstraints configuration by @justusbunsi in #14684
* Fix failure in createUser used by make-user-job helm chart by @lamida in #15293
* add annotations to ServiceMonitor by @sathieu in #15020
* Fix data race, which caused tests execution to fail by @shichanglin5 in #15313
* Exclude upload-ids with incomplete part upload in multipart listing by @vadmeste in #15318
* support encrypted/compressed objects properly during decommission by @harshavardhana in #15320
* Add decommission compression+encryption enabled tests by @harshavardhana in #15322
* Move mc admin top scanner -> mc admin scanner info (#4151)

[2.8.5]
* Update minio to 2022-07-24T17-09-31Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-07-24T17-09-31Z)
* fix: fork os.MkdirAll to optimize cases where parent exists by @harshavardhana in #15379
* Add compression scheme to header by @klauspost in #15395

[2.8.6]
* Update minio to 2022-07-26T00-53-03Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-07-26T00-53-03Z)

[2.8.7]
* Update minio to 2022-07-30T05-21-40Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-07-30T05-21-40Z)

[2.8.8]
* Update minio to 2022-08-02T23-59-16Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-08-02T23-59-16Z)
* target: Set 20000 as maximum parallel target notif calls by @vadmeste in #15435
* fix: resetting a config with a non default target name by @vadmeste in #15448
* fix: allow P-384/P-512 constant time implementation by @harshavardhana in #15445
* modify user secret volumes mount path name by @dormanze in #15443
* fix: instrument os.OpenFile differently for Reads and Writes by @harshavardhana in #15449

[2.8.9]
* Update minio to 2022-08-05T23-27-09Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-08-05T23-27-09Z)

[2.8.10]
* Update minio to 2022-08-08T18-34-09Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-08-08T18-34-09Z)

[2.8.11]
* Update minio to 2022-08-11T04-37-28Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-08-11T04-37-28Z)

[2.8.12]
* Update minio to 2022-08-13T21-54-44Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-08-13T21-54-44Z)

[2.9.0]
* Update minio to 2022-08-22T23-53-06Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-08-22T23-53-06Z)
* Versioning now supports Idempotent delete markers #15521
* Disk IO statistics is now available as real-time monitoring via mc #15512
* Replication now more accurately tracks failed replication events #15556

[2.9.1]
* Update minio to 2022-08-25T07-17-05Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-08-25T07-17-05Z)

[2.9.2]
* Update minio to 2022-09-01T23-53-36Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-09-01T23-53-36Z)
* improve performance for inlined data by @harshavardhana in #15603
* site replication: Avoid returning root svcacct info in sr metadata by @poornas in #15608
* Add extended checksum by @klauspost in #15433
* audit-log: Add time to get object from remote-tier by @krisis in #15602
* Avoid messages from go test output by @vadmeste in #15601
* chore: remove duplicate word in comments by @Abirdcfly in #15607
* feat: Add healing trace by @klauspost in #15616
* Encrypt checksums by @klauspost in #15620
* fix: add healing metric type for heal tracing by @harshavardhana in #15631

[2.9.3]
* Update minio to 2022-09-07T22-25-02Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-09-07T22-25-02Z)
* avoid printing io.ErrUnexpectedEOF for .metacache objects by @harshavardhana in #15642
* do not print object not found errors in MRF healing by @harshavardhana in #15646
* fis deadlock caused by unlocking a non-existing lock by @yudoutingle in #15635
* fix: use optimized json.NewEncoder instead for metrics by @harshavardhana in #15648
* Reuse madmin.ClusterRegistrationInfo by @anjalshireesh in #15654
* verify RenameData() versions to be consistent by @harshavardhana in #15649
* allow non-standards fallback for Expires header by @harshavardhana in #15655
* allow non-standards fallback for all http.TimeFormats by @harshavardhana in #15662

[2.9.4]
* Update minio to 2022-09-17T00-09-45Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-09-17T00-09-45Z)
* limit number of buckets to 500k by @harshavardhana in #15668
* Add StopDiskAtLimit by @klauspost in #15670
* add vulncheck action to CI by @aead in #15676
* Persist in-memory replication stats to disk by @poornas in #15594
* prometheus: Track errors during REST read/write calls by @vadmeste in #15678
* Fix S3 Select CSV -> JSON with variable field count by @klauspost in #15677
* use go1.19.1 for vulncheck by @harshavardhana in #15680
* Pass groups claim into condition values by @donatello in #15679
* panic if replication config could not be read from disk by @poornas in #15685
* update docs to add cycle in scanner by @sinhaashish in #15686
* Fix flaky TestGetObjectWithOutdatedDisks by @klauspost in #15687
* When listing, do not count delete markers by @klauspost in #15689

[2.9.5]
* Update minio to 2022-09-22T18-57-27Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-09-22T18-57-27Z)
* nable cross compile for openbsd/amd64 by @harshavardhana in #15701
* Implement KMS methods for keys, policies and identities by @reivaj05 in #15673
* Remove deprecated io/ioutil by @klauspost in #15707
* helm: specify service account for the jobs by @cowjen01 in #15706
* site replication: clear config if remove --all specified by @poornas in #15716
* Fix cancellation leaks by @jiuker in #15721

[2.9.6]
* Update minio to 2022-09-25T15-44-53Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-09-25T15-44-53Z)
* fix: parse and save retainUntilDate in correct time format by @harshavardhana in #15741
* validate correct ETag for the parts sent during CompleteMultipart by @harshavardhana in #15751
* Relax retention date enforcement on replication target by @poornas in #15752
* Add auto configuration of replication workers by @poornas in #15636
* remove unused package internal/smart by @harshavardhana in #15758

[2.9.7]
* Update minio to 2022-10-02T19-29-29Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-10-02T19-29-29Z)
* Add RPC tcp timeout/errs and avg duration to prometheus by @vadmeste in #15747
* fix: generalize SC config and also skip healing sub-sys under SD by @harshavardhana in #15757
* Quick initialized of bucket target notifications by @vadmeste in #15571
* support tagging based policy conditions by @harshavardhana in #15763
* Update links to documentation site by @djwfyi in #15750
* Fix Audit kafka configuration loading by @vadmeste in #15766
* Fix race when accessing REST tcp dial values by @vadmeste in #15770
* Re-load config after reset by @anjalshireesh in #15771
* fix: de-duplicate conflicting object names on namespace by @harshavardhana in #15772

[2.9.8]
* Update minio to 2022-10-05T14-58-27Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-10-05T14-58-27Z)

[2.9.9]
* Update minio to 2022-10-08T20-11-00Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-10-08T20-11-00Z)
* set bucket creation timestamp properly for legacy FS backend by @harshavardhana in #15800
* decom: Ignore object/version error during deletion by @vadmeste in #15806
* remove build asset caching by @harshavardhana in #15807
* Fix GetObjectRetention to parse in iso8601 time format by @poornas in #15809
* Update pkg to v1.4.5 by @reivaj05 in #15808
* remove unused debug param from evalActionFromLifecycle by @harshavardhana in #15813

[2.9.10]
* Update minio to 2022-10-15T19-57-03Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-10-15T19-57-03Z)
* Add missing server info fields by @klauspost in #15826
* indicate how long it took to bring the drive online by @harshavardhana in #15835
* honor specified target prefix under batch replication by @harshavardhana in #15834
* remove spurious logging for object not found by @harshavardhana in #15842
* Add metrics, version and apis handlers by @reivaj05 in #15839

[2.9.11]
* Update minio to 2022-10-20T00-55-09Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-10-20T00-55-09Z)
* do not assume invalid buf to be non-xl.meta by @harshavardhana in #15843
* convert context.DeadlineExceed to offline disk in DiskInfo() by @vadmeste in #15886
* remove nancy, we rely on vulncheck from now on by @harshavardhana in #15893
* do not need to trace ignored objects by @harshavardhana in #15894
* Add concurrent Snowball extraction + options by @klauspost in #15836
* storage: Return errDiskNotFound when a peer is during shutdown by @vadmeste in #15868

[2.9.12]
* Update minio to 2022-10-21T22-37-48Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-10-21T22-37-48Z)
* Do not freeze s3 traffic in healthinfo api by @anjalshireesh in #15912
* lifecycle: Fix rules filtering by @vadmeste in #15914
* Pass encrypted etag as is for immediate tiering by @krisis in #15925
* Set CONSOLE_MINIO_SERVER to 127.0.0.1 by default by @vadmeste in #15887
* Fix deletemarker replication check properly by @poornas in #15923
* Check for s3zip content offset by @klauspost in #15924

[2.9.13]
* Update minio to 2022-10-24T18-35-07Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-10-24T18-35-07Z)
* Fix Prometheus Probe tlsConfig, doesn't belong in ProberSpec by @briend in #15739
* Audit dangling object removal by @vadmeste in #15933

[2.10.0]
* Update minio to 2022-10-29T06-21-33Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-10-29T06-21-33Z)
* First release to support rebalancing two or more pooled setups to even out disk usage refer #15483
* Removes remaining gateway implementations of NAS/S3 and legacy FS mode completely - refer #15929.
* Existing users should continue to use their current releases if they wish to continue using gateway mode.
* Subscribed customers get downstream support until they are subscribed as per the terms of the subscription.
* Other miscellaneous fixes in Site Replication, Multipart Checksums and SUBNET registration.

[3.0.0]
* **IMPORTANT: This release removes the fs backend completely and this upgrade will fail if you are using the fs backend. Please read and understand [this forum post](https://forum.cloudron.io/topic/7967/minio-package-3-x) to determine what backend you are using before upgrading. If your minio uses the fs backend and you upgrade without a backup, all data can be lost.**
* Update minio to 2022-10-29T06-21-33Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-10-29T06-21-33Z)
* First release to support rebalancing two or more pooled setups to even out disk usage refer #15483
* Removes remaining gateway implementations of NAS/S3 and legacy FS mode completely - refer #15929.

[3.0.1]
* Update minio to 2022-11-10T18-20-21Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-11-10T18-20-21Z)
* rebalance status must return appropriate error initially by @harshavardhana in #16022
* remove io/util for advanced golang by @yanggangtony in #16011
* Use the same lock for the scanner and site replication healing by @vadmeste in #15985
* Remove some logs caused by external apps by @vadmeste in #16027
* remove printing map() checksums by @harshavardhana in #16028

[3.0.2]
* Update minio to 2022-11-11T03-44-20Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-11-11T03-44-20Z)
* fix: parsing multipart uploadID under site replicated setup by @poornas in #16048
* netPerfRX Reset() should use write Lock() @jiuker in #16043

[3.1.0]
* Update minio to 2022-11-17T23-20-09Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-11-17T23-20-09Z)
* save deploymentID to avoid mutating request entry in Audit by @jiuker in #16053
* configuring the nats target to reconnect forever by @rayjanoka in #16050
* helm: fix positional parameter in template by @yanggangtony in #15983
* improve server startup error when pools are incorrect by @harshavardhana in #16056
* choose default values upon incorrect storage_class value by @harshavardhana in #16058

[3.2.0]
* Update minio to 2022-11-26T22-43-32Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-11-26T22-43-32Z)
* Optimizations in Multipart code-path in multi-pool setups, via #16086
* Fixes a regression in server side replication due to ETag mismatch issue under specific type of MinIO setups, fixed via #16129

[3.3.0]
* Update minio to 2022-11-29T23-40-49Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-11-29T23-40-49Z)
* avoid serializing decryptKey() every 15mins by @harshavardhana in #16135
* kms: fix possible deadlock due to nested RLock calls. by @aead in #16136
* Improvements in logger and audit webhooks by @anjalshireesh in #16102

[3.3.1]
* Update minio to 2022-12-02T19-19-22Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-12-02T19-19-22Z)
* update reedsolomon v1.11.3 by @harshavardhana in #16149
* re-order the top-level config keys for priority by @harshavardhana in #16150
* repl: resync orchestrator to use global shared lock by @vadmeste in #16154

[3.3.2]
* Update minio to 2022-12-07T00-56-37Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-12-07T00-56-37Z)
* fix: in disk cache readCacheFileStream should closed upon return by @jiuker in #16138
* Start PR on Enterprise when there is new MinIO Version by @cniackz in #16121
* kms: add support for KES enclaves by @aead in #16139
* fix: update the JSON keys for latest 'mc' release by @harshavardhana in #16171

[3.3.3]
* Update minio to 2022-12-12T19-27-27Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2022-12-12T19-27-27Z)
* remove unnecessary logs for truncated XML inputs by @harshavardhana in #16184
* Encrypt checksums with KMS on CompleteMultipartUpload by @klauspost in #16177
* feat: Encrypt s3zip file index by @klauspost in #16179
* reuse sha256 in config GetSettings by @jiuker in #16188
* Add version id to healresult by @klauspost in #16193
* Replace filepathx with fork by @klauspost in #16192
* fix: translate tier add errors properly by @harshavardhana in #16191
* remove hard limit for number of buckets by @harshavardhana in #16194
* fix: delete marker discrepancies via DeleteObject() API by @harshavardhana in #16195
* Add IAM API to attach/detach policies for LDAP by @donatello in #16182
* avoid double deletes() when no more versions by @harshavardhana in #16206
* do not rename multipart failed transactions back to tmp by @harshavardhana in #16204
* Use different subnet public key during dev/test by @anjalshireesh in #16216
* fix: iso8601TimeFormat padding issue for certain nanoseconds by @harshavardhana in #16207
* Add LDAP DNS SRV record lookup support by @donatello in #16201

[3.4.0]
* Update minio to 2023-01-02T09-40-09Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-01-02T09-40-09Z)
* Rebalancing pools correctly choose object sizes to calculate the final distribution #16240
* Startup improvements to support WAN-based distributed MinIO setups #16259
* Add HTTP2-only support for external policy plugin #16225
* Locks are now spread across different pools based on object affinity #16312

[3.4.1]
* Update minio to 2023-01-06T18-11-18Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-01-06T18-11-18Z)
* vectorize cluster-wide calls such as bucket operations by @harshavardhana in #16313
* update klauspost/compress dependency by @harshavardhana in #16343
* update replication tests with latest 'mc' by @harshavardhana in #16348
* converge listBuckets() as a peer call by @harshavardhana in #16346
* remove unnecessary kernel-tuning docs by @harshavardhana in #16354

[3.4.2]
* Update minio to 2023-01-12T02-06-16Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-01-12T02-06-16Z)
* xl: Quit early when EC config is not correct by @vadmeste in #16390
* Add comment field to service accounts by @vadmeste in #16380
* fix: allow bind on ipv6 loopback failures by @allanrogerr in #16388
* fix: error out if an object is found after a full decom by @vadmeste in #16277
* Update console to 0.22.5 by @donatello in #16400

[3.4.3]
* Update minio to 2023-01-18T04-36-38Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-01-18T04-36-38Z)
* Simplify/speedup container image publishing script by @donatello in #16403
* Remove checks target from docker target by @dvaldivia in #16399
* metrics: Add more logs when unable to read bucket usage by @vadmeste in #16405
* fix: calculate common parity properly by @harshavardhana in #16406
* Avoid dangling deletes if disk not found by @poornas in #16401

[3.4.4]
* Update minio to 2023-01-20T02-05-44Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-01-20T02-05-44Z)
* Signal stop-rebalance to all rebalancing pools by @krisis in #16438
* Use async healing in PutObject call by @vadmeste in #16431
* add a way to avoid blocking queueHealTask() depending on caller by @harshavardhana in #16433
* Fix bandwidth monitoring to be per remote target by @poornas in #16360

[3.4.5]
* Update minio to 2023-01-25T00-19-54Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-01-25T00-19-54Z)
* fix: deleted object names for directory objects by @klauspost in #16448
* grafana: Show one metric for the total data growth by @vadmeste in #16449
* replication: Avoid logging PreConditionFailed error by @poornas in #16450

[3.4.6]
* Update minio to 2023-01-31T02-24-19Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-01-31T02-24-19Z)
* Rename peer S3 prefix to avoid collision in the future by @vadmeste in #16473
* Better error when setting up replication with a service account alias by @vadmeste in #16472
* add x-amz-id-2 to indicate the node that received the request by @harshavardhana in #16474
* fix: anonymize the x-amz-id-2 value from hostname by @harshavardhana in #16478

[3.4.7]
* Update minio to 2023-02-10T18-48-39Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-02-10T18-48-39Z)
* Periodically refresh buckets metadata from the backend disks by @vadmeste in #16561
* fix: aclHandlers convert XML parse error to relevant client error by @jiuker in #16587
* fix: README.md in docs/config by @k0i in #16564
* fix: username replacements for aws:username must use parentUser by @harshavardhana in #16591

[3.4.8]
* Update minio to 2023-02-17T17-52-43Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-02-17T17-52-43Z)
* ServerInfo: return per erasure set information by @vadmeste in #16583
* remove incorrect use of WaitGroup by @jiuker in #16596
* fix: allow global leader lock context merge to be canceled by @vadmeste in #16603
* Remove parentheses by @atalakey4work in #16605
* Periodically remove stale buckets from in-memory by @harshavardhana in #16597

[3.4.9]
* Update minio to 2023-02-22T18-23-45Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-02-22T18-23-45Z)
* avoid locks when unnecessary in SiteReplicationMetaInfo() by @harshavardhana in #16650
* add missing x-amz-id-2 to event notification date by @harshavardhana in #16646
* update dependencies to latest releases by @harshavardhana in #16651
* fix: healing of replication config for endpoint changes by @poornas in #16648
* Add detailed scanner trace output and notifications by @klauspost in #16668
* Set meaningful message from minio with env variable KMS_SECRET_KEY by @allanrogerr in #16584

[3.4.10]
* Update minio to 2023-02-27T18-10-45Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-02-27T18-10-45Z)
* event target registration failures must be returned by @harshavardhana in #16700
* Remove bloom filter by @klauspost in #16682
* Better error message when TLS certs do not have proper permissions by @vadmeste in #16703
* Update OpenID doc with info on redirection params by @donatello in #16704
* tests: Add test for S3 API error codes by @vadmeste in #16705

[3.4.11]
* Update minio to 2023-03-09T23-16-13Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-03-09T23-16-13Z)
* Fix scanner deadlock on lost global lock by @klauspost in #16726
* fix a data race in IAM loading by @poornas in #16742
* Attach creds, owner and region to madmin calls by @dvaldivia in #16658
* calculate disk cache usage percent accurately by @jiuker in #16740
* upgrade all dependencies by @harshavardhana in #16753
* return underlying error with BackendDown{} error by @jiuker in #16738
* cleanup Go linter settings by @ferhatelmas in #16736
* fix: handle syscall.EROFS also for osIsPermission() by @harshavardhana in #16765
* return error if policy changes on disabled groups by @harshavardhana in #16766
* feat: add lambda transformation functions target by @harshavardhana in #16507

[3.4.12]
* Update minio to 2023-03-13T19-46-17Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-03-13T19-46-17Z)
* [Denial of access by an admin privileged user for root credential](https://github.com/minio/minio/security/advisories/GHSA-9wfv-wmf7-6753)
* Add Object Version count histogram by @klauspost in #16739
* fix: site-repl should heal STS with virtual parent by @donatello in #16792
* chore: drop go versions in static analysis by @ferhatelmas in #16790

[3.4.13]
* Update minio to 2023-03-20T20-16-18Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-03-20T20-16-18Z)
* Update audit log flow to use new headers with unit by @nitisht in #16797
* restore rotating root credentials properly by @harshavardhana in #16812
* remove unncessary logs from WalkDir(), PutObject() by @harshavardhana in #16818
* update go dependencies by @harshavardhana in #16798
* fix: return appropriate Location header for MakeBucket() by @harshavardhana in #16820
* debug: new tool to reorder local erasure disks by @vadmeste in #16816

[3.4.14]
* Update minio to 2023-03-22T06-36-24Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-03-22T06-36-24Z)
* check for quorum errors for DeleteBucket() by @harshavardhana in #16859
* fix: tweak the maintenance=true to satisfy baremetal first by @harshavardhana in #16864
* fix: add deadline conns and dnsCache for remote transports by @harshavardhana in #16865
* Add lazy init of audit logger by @klauspost in #16842

[3.4.15]
* Update minio to 2023-03-24T21-41-23Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-03-24T21-41-23Z)
* return quorum error instead of insufficient storage error by @vadmeste in #16874
* add missing expiration information from 'sts info' by @harshavardhana in #16878
* Revert query parameter src from diag upload if callhome enabled by @shtripat in #16881
* Revert "Make localLocker lock attempts cancellable (#16510)" by @klauspost in #16884

[3.4.16]
* Update minio to 2023-04-07T05-28-58Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-04-07T05-28-58Z)
* Set Console global Root CAs early to trust provided certs by @vadmeste in #16890
* ignore operation timedout errors by @harshavardhana in #16891
* fix: Avoid multiple write responses by @jiuker in #16894
* fix: time.Parse RFC3339Nano by @jiuker in #16892
* update all our deps by @harshavardhana in #16899
* [testing] add mint runner test by @harshavardhana in #16868
* fix: avoid logging when object/version not found in replication by @allanrogerr in #16919
* fix: missing return after error response by @donatello in #16920
* fix: put *msgp.Reader back in pool by @jiuker in #16927
* fix: avoid out of slice index by @jiuker in #16925
* allow more workers for ILM expiration by @harshavardhana in #16924

[3.4.17]
* Update minio to 2023-04-13T03-08-07Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-04-13T03-08-07Z)
* add Err to Get getRemoteTargetClient. by @jiuker in #16982
* trace: Fix func name of requests rejected by max clients by @vadmeste in #16977
* chore: fix automatic issue handling from linter in ci by @ferhatelmas in #16969
* Add used inodes to disk info by @vadmeste in #16994
* Indicate RenameData is called by healObject by @krisis in #16997

[3.4.18]
* Update minio to 2023-04-20T17-56-55Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-04-20T17-56-55Z)
* build: support loong64 by @wojiushixiaobai in #17027
* fix: lambda function expiration when cred.Expiration is set by @klauspost in #17029
* heal: avoid logging version not found by @poornas in #17031
* Add part count to checksum by @klauspost in #17035
* commonParity should pick readable FileInfo by @krisis in #17032
* fix: Type of rejection for FIFO quota input by @jiuker in #17016
* fix: DeleteBucketThrottle must delete ARN by @jiuker in #17034
* implement support for FTP/SFTP server by @harshavardhana in #16952
* Reduce allocations in Walkdir by @klauspost in #17036
* Reformat helm chart templates by @dnskr in #16947

[3.4.19]
* Update minio to 2023-04-28T18-11-17Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-04-28T18-11-17Z)
* fix: delete DNS upon success, update failure message by @harshavardhana in #17059
* avoid attempting to migrate old configs by @harshavardhana in #17004
* server-info: Return initializing state properly by @vadmeste in #17070
* simplify sort.Sort by using sort.Slice by @harshavardhana in #17066
* heal: Pick maximally occuring modTime in quorum by @krisis in #17071
* fix: DeleteBucket for peers() must recreate bucket upon errors by @harshavardhana in #17079
* fix: initialize reverse proxy forwarder with right public certs by @harshavardhana in #17080

[3.4.20]
* Update minio to RELEASE.2023-05-04T21-44-30Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-05-04T21-44-30Z)
* allow root user to be disabled via config settings by @harshavardhana in #17089
* fix: remove active healing on .minio.sys/ during startup by @harshavardhana in #17072
* helm: align chart properties with naming convention by @dnskr in #17065
* optimization use small blocks up to 64KB by @klauspost in #17107
* Support systemd notify protocol by @WGH- in #17062
* fix: store notification events immediately for persistent queues by @Praveenrajmani in #17112

[3.5.0]
* Update minio to 2023-05-18T00-05-36Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-05-18T00-05-36Z)
* Signed trailers for signature v4 by @klauspost in #16484
* add etc-path to post-job.yaml in helm chart by @mstein11 in #17148
* helm: declare missing properties in values.yaml by @dnskr in #17153
* Validate if replication config being added is self referential by @poornas in #17142
* helm-chart: Use minio service account for post-deploy job if available by @LinAnt in #17077
* put *msgp.Reader back to pool by @jiuker in #17156
* add Err to BucketExists when NoSuchBucket by @jiuker in #17155

[3.5.1]
* Update minio to 2023-05-27T05-56-19Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-05-27T05-56-19Z)
* fix: leaking connections in JSON SQL with limited return by @klauspost in #17239
* before return make globalScannerMetrics.incTime call by @jiuker in #17230
* fix: return proper error if OIDC Discoverydoc fails to respond by @jiuker in #17242
* fix: increment counter when entry be skipped by @jiuker in #17237
* Freeze the s3 APIs until the notification sub-system initializes completely by @Praveenrajmani in #17182
* Add object parity in listing V2M and listing versions M by @vadmeste in #17238
* allow specification of path/virtual style bucket lookup in batch replication by @poornas in #17201
* fix: Avoid Income globalStats twice upon error by @jiuker in #17263

[3.5.2]
* Update minio to 2023-06-02T23-17-26Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-06-02T23-17-26Z)
* fix: on windows use FindClose close handler by @jiuker in #17306
* fix: cleanup empty multipart folders upon stale upload cleanup by @harshavardhana in #17312
* Revert s3 select simdjson reuse by @klauspost in #17310
* record err time when remote node is offline by @jiuker in #17262
* fix: proxy not set on subnet logger webhook sometimes by @anjalshireesh in #17320
* fix: time() returned function not being called as expected in globalSync() by @drivebyer in #17319
* fix: fail large content in DeleteMultipleObjects() early by @jiuker in #17321

[3.5.3]
* Update minio to 2023-06-09T07-32-12Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-06-09T07-32-12Z)
* fix: expMovingAvg is too small when startTime is zero by @jiuker in #17346
* log: Add a log when saving pool.bin fails by @vadmeste in #17338
* goroutines parser: Add --less flag to filter goroutines by @vadmeste in #17339
* only allow decryption of etag for only sse-s3 by @harshavardhana in #17335
* allow quota enforcement to rely on older values by @harshavardhana in #17351

[3.5.4]
* Update minio to 2023-06-16T02-41-06Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-06-16T02-41-06Z)
* return InvalidRequest when no parts are provided by @harshavardhana in #17395
* service accounts are allowed to have no expiration by @harshavardhana in #17397
* return 204 status code for DeleteBucketTagging by @harshavardhana in #17400
* listen: Only error out if not able to bind any interface by @vadmeste in #17353
* fix: protect ReplicationStats against concurrent map iteration and write crash by @klauspost in #17403

[3.5.5]
* Update minio to 2023-06-19T19-52-50Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-06-19T19-52-50Z)
* replication: Ensure metadata updates go to same pool where version ex… by @poornas in #17451
* upgrade pkg and dperf to latest packages by @harshavardhana in #17448
* fallback on etags if they match when mtime is not same by @harshavardhana in #17424
* event args list for fanOut notification must be sized same by @harshavardhana in #17450
* rebalance: Fix a integer divide by zero crash during state update by @vadmeste in #17455

[3.5.6]
* Update minio to 2023-06-23T20-26-00Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-06-23T20-26-00Z)
* Bump up madmin-go and pkg deps by @donatello in #17469
* safely ignore out of band deletions while decommissioning by @harshavardhana in #17473
* fix: replication check for duplicate endpoints detection with wrong route by @jiuker in #17474
* fix: do not crash rebalance code instead set the object layer by @harshavardhana in #17465
* skip onlineDisks with parity mismatch by @harshavardhana in #17478
* Add an option to make bucket notifications synchronous by @Praveenrajmani in #17406
* always look for expired versions v/s remaining versions by @harshavardhana in #17479

[3.6.0]
* Update minio to 2023-06-29T05-12-28Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-06-29T05-12-28Z)
* fix: do not listAndHeal() inline with PutObject() by @harshavardhana in #17499
* Print certain log messages once per error by @kaankabalak in #17484
* chore: pkg imported more than once by @testwill in #17444
* update all our deps by @harshavardhana in #17497
* Capture realtime metrics in health report by @anjalshireesh in #17516
* allow site-replication checks to work on non-distributed setups by @harshavardhana in #17524
* fix: bug in passing Versioned field set for getHealReplicationInfo() by @harshavardhana in #17498

[3.6.1]
* Update minio to 2023-07-07T07-13-57Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-07-07T07-13-57Z)
* fix: OpenID config initialization by @donatello in #17544
* fix: service account list for root user by @donatello in #17547
* fix: for FTP server driver allow implicit trust TLS by @harshavardhana in #17541
* s3: Fix a typo in per pool make/delete bucket errs calculation by @vadmeste in #17553
* fix: honor older scanner settings only if newer has not changed by @harshavardhana in #17564
* fix: upon DNS refresh() failure use previous values by @harshavardhana in #17561
* fix: create user without policy that is required by @jiuker in #17554
* fix: under FanOut API avoid repeated md5sum calculation by @harshavardhana in #17572

[3.6.2]
* Update minio to 2023-07-11T21-29-34Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-07-11T21-29-34Z)
* add variadic delays in peer notification retries by @harshavardhana in #17592
* Fix helm templating syntax in post-job by @aztechian in #17600
* Avoid per request URL parsing by @klauspost in #17593
* fix: set request ID in tracing context key by @donatello in #17602
* prometheus: Fix internode stats by @vadmeste in #17594

[3.6.3]
* Update minio to 2023-07-18T17-49-40Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-07-18T17-49-40Z)
* treat 0-byte objects to honor same quorum as delete marker by @harshavardhana in #17633
* fix: do not os.Exit(1) while writing goroutines during shutdown by @harshavardhana in #17640
* Corrected the API name for audit logging purpose by @shtripat in #17642
* chore: fix minor issues reported via staticcheck by @testwill in #17639
* Added endpoint and versions attributes to KMS details by @shtripat in #17350
* replication: Simplify mrf requeueing and add backlog handler by @poornas in #17171
* Use os.ReadFile instead of ioutil.ReadFile by @anjalshireesh in #17649

[3.7.0]
* Update minio to 2023-07-21T21-12-44Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-07-21T21-12-44Z)
* pick internode interface properly via globalLocalNodeName by @harshavardhana in #17680
* move bucket centric metrics to /minio/v2/metrics/bucket handlers by @harshavardhana in #17663
* fix: byHost realTime metrics API by @jiuker in #17681
* update grafana dashboard JSON with the new metrics by @harshavardhana in #17683
* fix: retry listing in decommissioning if it fails perpetually by @harshavardhana in #17682
* info: Report correct pool/set/disk indexes for offline disks by @vadmeste in #17695
* Add deletemarker_total metric by @krisis in #17689

[3.7.1]
* Update minio to 2023-08-04T17-40-21Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-08-04T17-40-21Z)
* return tags as part of Head/Get calls by @harshavardhana in #17635
* don't error when asked for 0-based range on empty objects by @flisk in #17708
* Revert "don't error when asked for 0-based range on empty objects (#17708) by @klauspost in #17713
* fix: Create metrics slice when necessary in getCacheMetrics() by @drivebyer in #17711

[3.7.2]
* Update minio to 2023-08-09T23-30-22Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-08-09T23-30-22Z)
* fix: batch replication pull must preserve versionID by @harshavardhana in #17805
* Ensure tracking 499 for canceled list objects v1, v2, versions calls by @vadmeste in #17804
* replication: set context timeout for NewMultipartUpload calls by @poornas in #17807
* batch: Strict unmarshal yaml document to avoid user made typos by @vadmeste in #17808
* fix: do not use PrefixEnabled() logic to ignore valid objects by @harshavardhana in #17677

[3.7.3]
* Update minio to 2023-08-16T20-17-30Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-08-16T20-17-30Z)
* Prometheus metrics for `cluster_disk_offline_total` has been renamed to `cluster_drive_offline_total`
* You may setup additional alerts on this to look for slow drives that timeout often, and also drives that return I/O errors at various intervals.
* ListObjects() continuation had a bug where in the continuation token would be ignored leading to expensive list operations when there are single prefixes with millions of objects.

[3.7.4]
* Update minio to 2023-08-23T10-07-06Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-08-23T10-07-06Z)
* fix: validate incoming uploadID to be base64 encoded by @harshavardhana in #17865
* do not log client canceled events by @harshavardhana in #17838
* if object is a delete marker it must skip tags filter in ILM by @harshavardhana in #17861
* ilm: Fix cleaning non current null versions by @vadmeste in #17876
* update minio/kes-go dep to v0.2.0 by @aead in #17850
* fix: replace req context by locker context by @jiuker in #17880

[3.7.5]
* Update minio to 2023-08-29T23-07-35Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-08-29T23-07-35Z)
* mark replication target offline if network timeouts seen by @poornas in #17907
* Retain current and upto NewerNoncurrentVersions versions by @krisis in #17909
* add missing IAM node metrics to cluster and node endpoint by @harshavardhana in #17908
* remove mTime requirement from pre-condition checks by @harshavardhana in #17916
* remove strict persistence requirements for List() .metacache objects by @harshavardhana in #17917
* fix: replace context by timeout-context from parent-context when selfSpeedTest by @jiuker in #17906

[3.8.0]
* Update minio to 2023-08-31T15-31-16Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-08-31T15-31-16Z)
* A major refactor of Replication metrics now provides detailed list of metrics for monitoring, alerts.
* New dashboards are introduced specifically for monitoring replication traffic between sites https://github.com/minio/minio/tree/master/docs/metrics/prometheus/grafana

[3.8.1]
* Update minio to 2023-09-04T19-57-37Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-09-04T19-57-37Z)
* use buffers for pathJoin, to re-use buffers. by @harshavardhana in #17960
* kafka: Do not require key when sending a message by @vadmeste in #17962
* with xlv2 format we never had to fill in checksumInfo() by @harshavardhana in #17963
* replication: remove check for empty version id by @poornas in #17964

[3.8.2]
* Update minio to 2023-09-07T02-05-02Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-09-07T02-05-02Z)
* metrics: fix panic in replication stats reporting by @poornas in #17979
* refactor bandwidth throttling for replication target by @harshavardhana in #17980
* use syscall.Rename() directly instead of os.Rename() by @harshavardhana in #17982
* replication resync: avoid blocking on results channel. by @poornas in #17981
* Embed file in ZIP with custom permissions by @shtripat in #17954

[3.8.3]
* Update minio to 2023-09-16T01-01-47Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-09-16T01-01-47Z)
* Address some significant memory issues in replication MRF when many objects are from existing object replication
* Improve Disk replacement healing from single-threaded to multi-threaded via relying on the nr_requests value on Linux
* Allow concurrent SFTP connections

[3.8.4]
* Update minio to 2023-09-20T22-49-55Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-09-20T22-49-55Z)
* Major memory improvements in replication hot-path reduction of 2x to 3x allocations on a busy cluster.
* SSE-KMS now uses a fast-path without doing md5sum providing a major performance boost for encrypted objects via SSE-KMS.
* Improve performance for Console UI logins.
* Fixes a regression in permission handling of LDAP user based service accounts in previous release.

[3.8.5]
* Update minio to 2023-09-23T03-47-50Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-09-23T03-47-50Z)
* Prometheus metrics or mc admin info would take significantly longer when audit/logger webhooks were down for some reason, performance improved when these endpoints are down makes them non-blocking. #18083
* Fix a regression while loading AssumeRoleWithCertificate credentials #18088 for more details

[3.9.0]
* Update minio to 2023-09-27T15-22-50Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-09-27T15-22-50Z)
* Add abandoned folder scanning to metrics by @klauspost in #18076
* Improve ListObject Compatibility by @klauspost in #18099
* fix: set scanning details locally to avoid cached values by @harshavardhana in #18092
* fix: check post policy like AWS S3 by @jiuker in #18074
* site replication: allow setting bandwidth default for bucket by @poornas in #18062

[3.9.1]
* Update minio to 2023-09-30T07-02-29Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-09-30T07-02-29Z)
* Fixes an issue with multipart objects with multiple versions, due to rename2() optimization being incorrectly used
* AbortMultipartUpload() is now idempotent, much like AWS S3.

[3.9.2]
* Update minio to 2023-10-07T15-07-38Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-10-07T15-07-38Z)
* Add tests for multipart upload overwrites on versioned buckets by @harshavardhana in #18142
* Add support for resource metrics by @anjalshireesh in #18057
* Add paramaters in Helm chart to load OIDC clientSecret from Secret Resource by @alikhtag in #17784
* Fix startup formatting by @zveinn in #18156

[3.9.3]
* Update minio to 2023-10-16T04-13-43Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-10-16T04-13-43Z)
* fix DeleteServiceAccount API behavior by @taran-p in #18163
* fix: upon write failure on disk journal close the file properly by @harshavardhana in #18183
* fix: O_DIRECT is on only for multi-disk setups by @donatello in #18194
* Use better host names for metric errors by @klauspost in #18188
* simplify channel send() in WalkDir() by @T-M-A in #18186
* Fix current_send_in_progress metric always being zero by @mctoohey in #18160
* avoid rebalance state for getObjectTags if any by @harshavardhana in #18197

[3.9.4]
* Update minio to 2023-10-24T04-42-36Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-10-24T04-42-36Z)
* choose different max_concurrent requests per drive based on HDD/NVMe by @harshavardhana in #18254
* Don't skip rules with ExpiredObjectDeleteMarker by @krisis in #18256
* Fix globalDeploymentID race by @klauspost in #18275
* Remove unused config migration by @klauspost in #18277
* Fix linter errors in Windows specific code by @klauspost in #18276
* cache DiskInfo() metrics call separately by @harshavardhana in #18270

[3.9.5]
* Update minio to 2023-10-25T06-33-25Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-10-25T06-33-25Z)
* Fix BackendInfo() race by @klauspost in #18305
* Improve multipart listing speed by @klauspost in #18307
* fix: flaky and stupid tests in root lockdown by @harshavardhana in #18308
* fix: listObjectParts to prefer local and single disks by @harshavardhana in #18309
* avoid racy replicationCount checks by @harshavardhana in #18311

[3.9.6]
* Update minio to 2023-11-01T01-57-10Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-11-01T01-57-10Z)
* update go mod and CREDITS by @harshavardhana in #18289
* fix: do not preserve mtime during CopyObject() metadata updates by @harshavardhana in #18316
* Preserve replica timestamps in multipart by @poornas in #18318
* fix:Canceling the heal caused goroutine to leak. by @jiuker in #18322
* fix: update the user cache while adding service accounts with expiry by @Praveenrajmani in #18320
* fix: parse the subsys env error by @jiuker in #18319
* add MC_CONFIG_DIR to use mc from writable path by @harshavardhana in #18317
* Reload replication targets lazily if missing by @poornas in #18333

[3.9.7]
* Update minio to 2023-11-01T18-37-25Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-11-01T18-37-25Z)
* Fix hanging scanner saves by @klauspost in #18368

[3.9.8]
* Update minio to 2023-11-06T22-26-08Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-11-06T22-26-08Z)
* Capture network device info in health report by @anjalshireesh in #18381
* fix: siteReplicationSys.startResync return no buckets return if error by @jiuker in #18374
* update console v0.41.0 by @harshavardhana in #18385
* Do not anonymize hostnames by default by @anjalshireesh in #18387
* fix: object versions metric help by @vicmunoz in #18388

[3.9.9]
* Update minio to 2023-11-11T08-14-41Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-11-11T08-14-41Z)
* fix:add err to all bucket resync failed by @jiuker in #18401
* site replication: avoid propagating bucket b/w settings by @poornas in #18399
* refactor SFTP to use the new minio/pkg implementation by @zveinn in #18406
* Tiered objects require ns locks unlike inlined by @krisis in #18409
* Support case insensitive kafka SASL mechanism config values by @vadmeste in #18398

[3.9.10]
* Update minio to 2023-11-15T20-43-25Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-11-15T20-43-25Z)
* fix: make sure to purge all the completed in resume() by @harshavardhana in #18429
* fix: ignore dperf on unformatted/unavailable/unmounted drives by @harshavardhana in #18435
* Adding a missing return to fix SFTP Rmdir message by @zveinn in #18438

[3.9.11]
* Update minio to 2023-11-20T22-40-07Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-11-20T22-40-07Z)
* health: split liveness and readiness handler by @aead in #18457
* Remove stale data in HEAD/GET object by @vadmeste in #18460
* remove checking for BucketInfo() peer call for every PUT() by @harshavardhana in #18464
* Added graph for Erasure Set Tolerance value by @shtripat in #18472
* audit: Try to send audit even if the status is offline by @vadmeste in #18458
* fix: close the http.Body when WebhookTarget isActive by @jiuker in #18467

[3.10.0]
* Update minio to 2023-12-02T10-51-33Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-12-02T10-51-33Z)
* Websocket grid functionality by @klauspost in #18461
* return errors if dataDir is missing during HeadObject() by @harshavardhana in #18477
* fix: close http body for es action by @jiuker in #18491
* Replicate Expiry ILM configs while site replication by @shtripat in #18130
* use Access(F_OK) do not need to check for permissions by @harshavardhana in #18492
* fix: go mod was pointed to personal repos with replace remove it by @harshavardhana in #18498
* Adding a fix to check for bucket existence before upload by @zveinn in #18496
* use the latest UBI image by @harshavardhana in #18497
* Implement batch snowball by @vadmeste in #18485

[3.10.1]
* Update minio to 2023-12-06T09-09-22Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-12-06T09-09-22Z)
* avoid hot-tier SLA to be tied to warm-tier SLA by @harshavardhana in #18581
* avoid double MRF heal when there is versions disparity by @harshavardhana in #18585
* upon RenameData() quorum error delete any partial success by @harshavardhana in #18586
* avoid caching metrics for timeout errors per drive by @harshavardhana in #18584
* parallelize renameData() cleanup upon error by @harshavardhana in #18591
* handle crashes with ILM expiry changes by @harshavardhana in #18590

[3.10.2]
* Update minio to 2023-12-07T04-16-00Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-12-07T04-16-00Z)
* fix: GetFreePort() will get the same port by @jiuker in #18604
* Capture percentage of cpu load and memory used by @anjalshireesh in #18596
* fix: use the right channel to feed the data in by @harshavardhana in #18605
* Update Console version to v0.42.1 by @bexsoft in #18606

[3.11.0]
* Update minio to 2023-12-09T18-17-51Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-12-09T18-17-51Z)
* Add support of conf file to pass arguments and options by @vadmeste in #18592
* feat: add events_errors_total metric by @jiuker in #18610
* add configuration to limit replication workers by @poornas in #18601
* use latest minisign release by @harshavardhana in #18614

[3.11.1]
* Update minio to 2023-12-13T23-28-55Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-12-13T23-28-55Z)
* tier: Add support of SP credentials with Azure by @vadmeste in #18630
* Fix issue [#18315], resolve the absence of the sed command in ubi-mic… by @opencmit2 in #18459
* reduce logging during permission denied errors by @harshavardhana in #18641
* healthcheck requests with user-agent mozilla do not need redirects by @harshavardhana in #18642
* Changed the expression to render the value by @shtripat in #18627

[3.11.2]
* Update minio to 2023-12-14T18-51-57Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-12-14T18-51-57Z)
* re-use the same local drive used by remote-peer by @harshavardhana in #18645
* Label the notification target metrics by their target IDs by @Praveenrajmani in #18633
* update console UI to v0.43.0 release by @harshavardhana in #18653

[3.11.3]
* Update minio to 2023-12-20T01-00-02Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-12-20T01-00-02Z)
* tier: Add support of AWS S3 tiering with web identity token file by @vadmeste in #18648
* metrics: Refactor handling of histogram vectors by @krisis in #18632
* Fix incorrect metric desc for bucketRequestsDuration by @krisis in #18657
* Add APIs to create and list access keys for LDAP by @taran-p in #18402
* update go dependencies by @harshavardhana in #18662
* Fix bucket metrics api path in docs by @vanugrah in #18661
* Read new key license_v2 from SUBNET response by @anjalshireesh in #18669
* Enable cross compile for openbsd/amd64 by @danieljakots in #18666
* update dependencies for https://pkg.go.dev/vuln/GO-2023-2402 by @harshavardhana in #18676
* Fix quota config replication for SR by @poornas in #18684
* Update Console version to v0.43.1 by @cesnietor in #18683

[3.11.4]
* Update minio to 2023-12-23T07-19-11Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2023-12-23T07-19-11Z)
* Export tier metrics by @krisis in https://github.com/minio/minio/pull/18678
* allow pre-allocating buffers to reduce frequent GCs during growth by @harshavardhana in https://github.com/minio/minio/pull/18686
* prom: Add online and healing drives metrics per erasure set by @vadmeste in https://github.com/minio/minio/pull/18700
* send proper IPv6 names avoid bracketing notation by @harshavardhana in https://github.com/minio/minio/pull/18699
* rename object_size -> block_size for cache subsystem by @harshavardhana in https://github.com/minio/minio/pull/18694
* tier: Allow edit of the new Azure and AWS auth params by @vadmeste in https://github.com/minio/minio/pull/18690
* fix: reject clients that do not send proper payload by @harshavardhana in https://github.com/minio/minio/pull/18701
* Graph cluster wide where applicable by @shtripat in https://github.com/minio/minio/pull/18705
* server-info: Avoid initializing audit/log http/kafka targets by @vadmeste in https://github.com/minio/minio/pull/18703
* Fix precendence bug in S3Select SQL IN clauses by @donatello in https://github.com/minio/minio/pull/18708

[3.12.0]
* Update minio to 2024-01-01T16-36-33Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-01-01T16-36-33Z)
* A significant performance improvement feature to optimize ListObjects() is part of this release.
* New console HTTP security headers are fully customizable now for specific needs, refer #18631

[3.12.1]
* Update minio to 2024-01-05T22-17-24Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-01-05T22-17-24Z)
* Added list of scanner metrics to document by @shtripat in #18731
* scanner: Allow full throttle if there is no parallel disk ops by @vadmeste in #18109
* fix: an odd crash when deleting null DEL markers by @harshavardhana in #18727
* prom: Add read quorum per erasure set metric by @vadmeste in #18736
* scanner: Add a config to disable short sleep between objects scan by @vadmeste in #18734
* NEW API: GetObjectAttributes by @zveinn in #18732

[3.12.2]
* Update minio to 2024-01-11T07-46-16Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-01-11T07-46-16Z)

[3.12.3]
* Update minio to 2024-01-13T07-53-03Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-01-13T07-53-03Z)
* Verify that remote target bucket is on MinIO server for bucket replication by @taran-p in https://github.com/minio/minio/pull/18656
* avoid disk monitoring leaks under various conditions by @harshavardhana in https://github.com/minio/minio/pull/18777
* xl: Remove wrong wording for errCorruptedFormat by @vadmeste in https://github.com/minio/minio/pull/18775
* Add more size intervals to obj size histogram by @krisis in https://github.com/minio/minio/pull/18772
* support proxying of tagging requests in replication by @poornas in https://github.com/minio/minio/pull/18649
* treat all localhost endpoints as local setup with same port by @harshavardhana in https://github.com/minio/minio/pull/18784

[3.12.4]
* Update minio to 2024-01-16T16-07-38Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-01-16T16-07-38Z)
* fix: listing SSE encrypted multipart objects by @harshavardhana in https://github.com/minio/minio/pull/18786
* adding a missing return case to fix GetObjectTagging by @zveinn in https://github.com/minio/minio/pull/18793
* xl-meta: Clean output by @klauspost in https://github.com/minio/minio/pull/18794

[3.12.5]
* Update minio to 2024-01-18T22-51-28Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-01-18T22-51-28Z)
* reject reference format from a different deployment by @harshavardhana in #18800
* fix: a typo in storeDataUsageInBackend() comment by @chienguo in #18778
* Deallocate huge read buffers by @klauspost in #18813
* fix: HealBucket regression for empty buckets, simplify it by @harshavardhana in #18815
* Fix mini typo by @fwessels in #18816

[3.12.6]
* Update minio to 2024-01-29T03-56-32Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-01-29T03-56-32Z)
* Fixes an ugly issue with runtime debug stack excessive logging regression
* avoid calling close for nil inbound/outblock channels (3 hours ago)
* remove getReplicationNodeMetrics() from peer metrics groups (4 hours ago)

[3.12.7]
* Update minio to 2024-01-31T20-20-33Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-01-31T20-20-33Z)
* This release fixes a security issue related to service accounts and their permissions for more details
* Performance improvement for large clusters with high IOPs requirements.
* fix: bucket metric of data usage for replication info will be ignore by @jiuker in https://github.com/minio/minio/pull/18895
* fix metrics panic in node metrics endpoint by @poornas in https://github.com/minio/minio/pull/18894
* Update list.md by @dvaldivia in https://github.com/minio/minio/pull/18907
* allow configuring maximum idle connections per host by @harshavardhana in https://github.com/minio/minio/pull/18908
* enable xattr capture by default by @harshavardhana in https://github.com/minio/minio/pull/18911
* reuse transports for callhome and remote tgt validation by @poornas in https://github.com/minio/minio/pull/18912
* exclude veeam virtual objects from replication by @poornas in https://github.com/minio/minio/pull/18918
* Add cgroup v2 support for memory limit by @vadmeste in https://github.com/minio/minio/pull/18905
* remove checkBucketExist check entirely to avoid fan-out calls by @harshavardhana in https://github.com/minio/minio/pull/18917
* Improve tracing & notification scalability by @klauspost in https://github.com/minio/minio/pull/18903
* use all the available nr_requests for NVMe by @harshavardhana in https://github.com/minio/minio/pull/18920
* add total usable capacity, free and used to DataUsageInfo() by @harshavardhana in https://github.com/minio/minio/pull/18921
* remove all the frivolous logs, that may or may not be actionable by @harshavardhana in https://github.com/minio/minio/pull/18922
* Update service file version in makefile by @donatello in https://github.com/minio/minio/pull/18925
* Correct small typo by @fwessels in https://github.com/minio/minio/pull/18923
* fix: permission checks for editing access keys by @donatello in https://github.com/minio/minio/pull/18928
* Keep ServiceV1 admin stop/restart API and mark as deprecated by @vadmeste in https://github.com/minio/minio/pull/18932

[3.12.8]
* Update minio to 2024-02-04T22-36-13Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-02-04T22-36-13Z)
* move a collection of peer APIs to websockets by @harshavardhana in https://github.com/minio/minio/pull/18936
* Improve object reuse for grid messages by @klauspost in https://github.com/minio/minio/pull/18940
* batch: Fix a typo while validating smallerThan field by @vadmeste in https://github.com/minio/minio/pull/18942
* fix: null inline policy handling for access keys by @donatello in https://github.com/minio/minio/pull/18945
* log: Use error log type instead of Application/MinIO type by @vadmeste in https://github.com/minio/minio/pull/18930
* Fix some leftover issues from PR 18936 by @fwessels in https://github.com/minio/minio/pull/18946
* simplify deadlineWriter, re-use WithDeadline by @harshavardhana in https://github.com/minio/minio/pull/18948
* Fix ineffective recycling by @klauspost in https://github.com/minio/minio/pull/18952
* deprecate disk tokens, instead rely on deadlines and active monitoring by @harshavardhana in https://github.com/minio/minio/pull/18947
* move Make,Delete,Head,Heal bucket calls to websockets by @harshavardhana in https://github.com/minio/minio/pull/18951
* Fix mux client memory leak by @klauspost in https://github.com/minio/minio/pull/18956
* disconnected returns, an unexpected error to List() returning 500s by @harshavardhana in https://github.com/minio/minio/pull/18959
* xl: Disable rename2 in decommissioning/rebalance by @vadmeste in https://github.com/minio/minio/pull/18964
* Fix typo in api-router.go by @fwessels in https://github.com/minio/minio/pull/18955
* Add more advanced cases for dangling by @harshavardhana in https://github.com/minio/minio/pull/18968

[3.12.9]
* Update minio to 2024-02-06T21-36-22Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-02-06T21-36-22Z)
* Fixes a second memory leak observed in ReadVersion without data that uses websockets layer.
* Fixes a crash while running mc admin trace on a distributed setup.
* Fixes TCP socket hangs by adding short deadlines.

[3.12.10]
* Update minio to 2024-02-09T21-25-16Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-02-09T21-25-16Z)
* do not block iam.store registration by @harshavardhana in https://github.com/minio/minio/pull/18999
* listing must return WalkDir() errors first by @harshavardhana in https://github.com/minio/minio/pull/19006
* Add GetBucketInfo toStorageErr conversion by @klauspost in https://github.com/minio/minio/pull/19005
* fix: skip policy usage validation for cache update by @donatello in https://github.com/minio/minio/pull/19008
* Update IAM access manager plugin demo by @donatello in https://github.com/minio/minio/pull/19007
* Fix blocked streams blocking reconnects by @klauspost in https://github.com/minio/minio/pull/19017
* optimize startup sequence performance by @harshavardhana in https://github.com/minio/minio/pull/19009
* Fix shared top locks client by @klauspost in https://github.com/minio/minio/pull/19018
* fix: dangling objects honor parityBlocks instead of dataBlocks by @harshavardhana in https://github.com/minio/minio/pull/19019
* remove unnecessary metrics in 'mc admin info' output by @harshavardhana in https://github.com/minio/minio/pull/19020
* Add extra disconnect safety by @klauspost in https://github.com/minio/minio/pull/19022
* introduce reader deadlines for net.Conn by @harshavardhana in https://github.com/minio/minio/pull/19023

[3.12.11]
* Update minio to 2024-02-12T21-02-27Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-02-12T21-02-27Z)
* avoid excessive logging for objects that do not exist by @harshavardhana in https://github.com/minio/minio/pull/19030
* Fix panic in tagging request proxying by @poornas in https://github.com/minio/minio/pull/19032
* do not have to use the same distributionAlgo as first pool by @harshavardhana in https://github.com/minio/minio/pull/19031
* fix: allow configuring excess versions alerting by @harshavardhana in https://github.com/minio/minio/pull/19028
* preserve conflicting objects when parent object is being deleted by @harshavardhana in https://github.com/minio/minio/pull/19034
* Convert service account add/update expiration to cond values by @vadmeste in https://github.com/minio/minio/pull/19024
* relax pre-emptive GetBucketInfo() for multi-object delete by @harshavardhana in https://github.com/minio/minio/pull/19035
* honor replaced disk properly by updating globalLocalDrives by @harshavardhana in https://github.com/minio/minio/pull/19038
* metrics: fix typo in namespace for proxy tagging metric by @poornas in https://github.com/minio/minio/pull/19039

[3.12.12]
* Update minio to 2024-02-13T15-35-11Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-02-13T15-35-11Z)
* FIx unexpected behavior when creating service account by @taran-p in https://github.com/minio/minio/pull/19036
* sts: Add test for DurationSeconds condition by @vadmeste in https://github.com/minio/minio/pull/19044
* add missing handler for reloading site replication config on peers by @harshavardhana in https://github.com/minio/minio/pull/19042
* fix: update batch replication stats for snowball uploads by @Praveenrajmani in https://github.com/minio/minio/pull/19045
* Send a bucket notification event on DeleteObject() for non-existing object by @Praveenrajmani in https://github.com/minio/minio/pull/19037
* fix incorrect disk io stats in k8s environment by @anjalshireesh in https://github.com/minio/minio/pull/19016

[3.12.13]
* Update minio to 2024-02-14T21-36-02Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-02-14T21-36-02Z)

[3.12.14]
* Update minio to 2024-02-17T01-15-57Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-02-17T01-15-57Z)

[3.13.0]
* Implement OIDC authentication

[3.13.1]
* Update minio to 2024-02-26T09-33-48Z 
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-02-26T09-33-48Z)
* fix: crash in ResourceMetrics RPC handling concurrent writers by @harshavardhana in https://github.com/minio/minio/pull/19123
* fix: re-arrange console-sys to log properly in k8s/docker by @harshavardhana in https://github.com/minio/minio/pull/19129

[3.13.2]
* Update minio to 2024-03-03T17-50-39Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-03-03T17-50-39Z)
* Major performance improvement on total connection usage and de-duplicate ILM entries refer #18926
* Major performance improvement for Listing() to avoid readdir() under situations for directory lookups refer #19100
* Read drive IO stats from sysfs instead of procfs by @Praveenrajmani in #19131
* ilm: Select an object when all AND tags are satisfied by @vadmeste in #19134
* remove unnecessary 'recreate' code by @harshavardhana in #19136
* feat: add userCredentials for nats by @jiuker in #19139

[3.13.3]
* Update minio to 2024-03-05T04-48-44Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-03-05T04-48-44Z)
* fix: healthcheck to fail even if one erasure set doesn't have quorum by @Praveenrajmani in #19180
* Add common middleware to S3 API handlers by @donatello in #19171
* fix: nLink is unreliable on all filesystems by @harshavardhana in #19187
* Fix ilm config at startup by @krisis in #19189
* fix: skip local disks properly in cluster health maintenance check by @harshavardhana in #19184

[3.13.4]
* Update minio to 2024-03-07T00-43-48Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-03-07T00-43-48Z)
* fix: cluster read health check to return proper values by @Praveenrajmani in #19203
* fix: a regression in loading replication creds by @harshavardhana in #19204
* fix: go mod update v1.33.0 https://pkg.go.dev/vuln/GO-2024-2611 by @harshavardhana in #19208
* bucket import: avoid overwriting bucket creation date by @poornas in #19207
* Set expected expiry date for ExpiredObjectAllVersions by @krisis in #19210

[3.13.5]
* Update minio to 2024-03-10T02-53-48Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-03-10T02-53-48Z)
* make immediate purge non-blocking up to 100,000 entries per drive (#19231)
* make immediate purge non-blocking upto 100000 entries per drive
* Bonus: turn-off O_DIRECT verification when FSType is 'XFS'

[3.13.6]
* Update minio to 2024-03-15T01-07-19Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-03-15T01-07-19Z)
* allow dynamically changing max_object_versions per object (#19265)

[3.13.7]
* Update minio to 2024-03-21T23-13-43Z
* [Changelog](https://github.com/minio/minio/releases/tag/2024-03-21T23-13-43Z)
* write anything beyond 4k to be written in 4k pages by @harshavardhana in https://github.com/minio/minio/pull/19269
* fix wrong time.Parse params order by @alingse in https://github.com/minio/minio/pull/19279
* implement a flag to specify custom crossdomain.xml by @harshavardhana in https://github.com/minio/minio/pull/19262
* fix: add a default requests deadline when deadline is 0 by @harshavardhana in https://github.com/minio/minio/pull/19287
* add deprecated expiry_workers to be ignored by @harshavardhana in https://github.com/minio/minio/pull/19289
* add additional logs for the decom during metadata save by @harshavardhana in https://github.com/minio/minio/pull/19288
* feat: add user to NOTIFY_REDIS by @jiuker in https://github.com/minio/minio/pull/19285
* change the notification queue full message by @harshavardhana in https://github.com/minio/minio/pull/19293
* list: Fix IsTruncated and NextMarker when encountering expired objects by @vadmeste in https://github.com/minio/minio/pull/19290
* xl: Purge instead of moving to trash with near filled disks by @vadmeste in https://github.com/minio/minio/pull/19294
* crypto: generate OEK using HMAC-SHA256 instead of SHA256 by @aead in https://github.com/minio/minio/pull/19297
* decom: Fix failed status after a failed decommission by @vadmeste in https://github.com/minio/minio/pull/19300
* Handle zero versions qualified for expiration by @krisis in https://github.com/minio/minio/pull/19301
* avoid triggering heals on metacache files if any by @harshavardhana in https://github.com/minio/minio/pull/19299
* add IAM policyDB lookup fallbacks to drives by @harshavardhana in https://github.com/minio/minio/pull/19302
* replication: enforce precondition for multipart by @poornas in https://github.com/minio/minio/pull/19306
* fix: peer addr returned as empty string by @anjalshireesh in https://github.com/minio/minio/pull/19308
* fix: Fix crash when logging events and anonymous is enabled by @vadmeste in https://github.com/minio/minio/pull/19313
* use retry during policy reload from drives by @harshavardhana in https://github.com/minio/minio/pull/19307
* Encode dir obj names before expiration by @krisis in https://github.com/minio/minio/pull/19305
* fix batch snowball to close channel after listing finishes by @poornas in https://github.com/minio/minio/pull/19316

[3.13.8]
* Update minio to 2024-03-26T22-10-45Z
* [Changelog](https://github.com/minio/minio/releases/tag/2024-03-26T22-10-45Z)
* Webhook targets refactor and bug fixes by @zveinn in https://github.com/minio/minio/pull/19275
* fix: convert multiple callers to use toStorageErr(err) correctly by @harshavardhana in https://github.com/minio/minio/pull/19339
* fix: should return when error happend by @jiuker in https://github.com/minio/minio/pull/19342
* bring back minor DNS cache for k8s setups by @harshavardhana in https://github.com/minio/minio/pull/19341
* Adding dashboard for MinIO node metrics by @shtripat in https://github.com/minio/minio/pull/19329
* Fix races in IAM cache lazy loading by @klauspost in https://github.com/minio/minio/pull/19346
* allow configuring inline shard size value by @harshavardhana in https://github.com/minio/minio/pull/19336
* replication:fix precondition check for multipart by @poornas in https://github.com/minio/minio/pull/19349

[3.13.9]
* Update minio to 2024-03-30T09-41-56Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-03-30T09-41-56Z)
* Support for SSE-C encrypted objects with site and bucket replication.
* CPU issue addressed when you have 1000's of folder prefixes at bucket root.
* LDAP support normalization of DN names for consistent behavior.

[3.13.10]
* Update minio to 2024-04-06T05-26-02Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-04-06T05-26-02Z)
* Reduce big message RPC allocations by @klauspost in #19390
* Prioritize the bucket configs first during the decommissioning by @Praveenrajmani in #19393
* fix: missing metrics for healed objects by @harshavardhana in #19392
* Always return slice with cap by @klauspost in #19395
* Adding console targets back into systemtarget log slice by @zveinn in #19398
* feat: support EdDSA/Ed25519 for oss by @jiuker in #19397
* update to latest deps by @harshavardhana in #19399
* Avoid using a nil transport when the config is not initialized by @vadmeste in #19405

[3.13.11]
* Update minio to 2024-04-18T19-09-19Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-04-18T19-09-19Z)
* fix: add fallbackDisks for disk healing by @harshavardhana in #19425
* fix: increase the tiering part size to 128MiB by @harshavardhana in #19424
* heal: Add more per disk healing result in the audit by @vadmeste in #19427
* batch-repl: Do not allow both source/target to be remote by @vadmeste in #19434
* Allow setting readOnlyRootFilesystem in securityContext by @AlexanderThaller in #19437
* Add a warning when the total size of an object versions exceeds 1 TiB by @vadmeste in #19435
* make if-none-match PUT/POST RFC compliant by @harshavardhana in #19448
* fix: unknow contentType for ArchiveFileHandler by @jiuker in #19451

[3.13.12]
* Update minio to 2024-04-28T17-53-50Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-04-28T17-53-50Z)
* updating tests to use new mc --enc flags by @zveinn in #19508
* fix: get rid of large buffers by @harshavardhana in #19549
* cleanup: Simplify usage of MinIOSourceProxyRequest by @rluetzner in #19553
* optimize ftp/sftp upload() implementations to avoid CPU load by @harshavardhana in #19552
* add ILM + site-replication tests by @harshavardhana in #19554
* Store object EC in metadata header by @klauspost in #19534
* Reduce parallelReader allocs by @klauspost in #19558
* make LRU cache global for internode tokens by @harshavardhana in #19555
* fix: ignore signaturev2 for policy header check by @jiuker in #19551
* build(deps): bump golang.org/x/net from 0.19.0 to 0.23.0 in /docs/debugging/s3-verify by @dependabot in #19559
* Disable trailing header support for MinIO tiers by @krisis in #19561
* re-use transport and set stronger backwards compatible Ciphers by @harshavardhana in #19565
* do not panic on rebalance during server restarts by @harshavardhana in #19563
* Fix RenameData data race by @klauspost in #19579
* Remove leading zero strings in return value of (*xlMetaV2)getDataDirs() by @seiyab in #19567
* fix: can't get total disksize for decom status by @jiuker in #19585
* make renameData() more defensive during overwrites by @harshavardhana in #19548
* Add system CPU metrics to metrics-v3 by @anjalshireesh in #19560
* fix: avoid some IAM import errors if LDAP enabled by @donatello in #19591
* simplify listener implementation setup customizations in right place by @harshavardhana in #19589
* Add cluster notification metrics in metrics-v3 by @balamurugana in #19533
* Fix few wrongly defined metric types by @anjalshireesh in #19586
* fix: site-replication will reset group status when add user by @jiuker in #19594
* Validates PostgreSQL table name by @ramondeklein in #19602
* xl-meta: Allow combining multiple unversioned objects by @klauspost in #19604
* support preserving renameData() on inlined content during overwrites by @harshavardhana in #19609
* fix: IAM import for LDAP should replace mappings by @donatello in #19607
* fix: IAM LDAP access key import bug by @donatello in #19608
* Fixes an internal error while force-deleting a bucket by @ramondeklein in #19614
* Update Console UI to v1.3.0 by @cesnietor in #19617
* fix: LDAP init. issue when LDAP server is down by @donatello in #19619
* heal: Fix regression in healing a new fresh drive by @vadmeste in #19615
* add metrics ioerror counter for alerts on I/O errors by @harshavardhana in #19618
* Fix DeleteObject API for unversioned objects with insufficient read q… by @poornas in #19581
* deprecate usage of sha256-simd by @harshavardhana in #19621
* heal: Avoid marking a bucket as done when remote drives are offline by @vadmeste in #19587
* helm: fix port types in CiliumNetworkPolicy by @twelho in #19232
* Add process metrics in metrics-v3 by @anjalshireesh in #19612
* Handle failures in pool rebalancing by @Praveenrajmani in #19623
* heal/list: Fix rare incomplete listing with flaky internode connections by @vadmeste in #19625
* iam reload policy mapping of STS users properly by @poornas in #19626
* a bunch of fixes for error handling by @harshavardhana in #19627

[3.13.13]
* Update minio to 2024-05-01T01-11-10Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-05-01T01-11-10Z)
* Always unfreeze when connection dies by @klauspost in #19634
* avoid data race for testing by @jiuker in #19635
* Suppress metrics with zero values by @shtripat in #19638
* Allow custom SFTP algorithm selection by @klauspost in #19636
* fix: a crash in RemoveReplication target by @harshavardhana in #19640
* ilm: Handle DeleteAllVersions action differently for DEL markers by @krisis in #19481

[3.13.14]
* Update minio to 2024-05-07T06-41-25Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-05-07T06-41-25Z)
* Fix --stfp "mac-algos=..." overwrites cipher algorithms by @klauspost in #19643
* enhance ListSVCs() API to return more info to avoid InfoSvc() by @harshavardhana in #19642
* Wait one minute after startup to restart decommissioning by @klauspost in #19645
* add logrotate support for MinIO logs by @harshavardhana in #19641
* Return listing when exceeding min disk errors by @klauspost in #19644
* fix: Filter out cust. AssumeRole Token for audit by @donatello in #19646
* support compression after rotation of logs by @harshavardhana in #19647
* Add cluster IAM metrics in metrics-v3 by @balamurugana in #19595
* Use better gzip for log rotate by @klauspost in #19651
* Change endpoint format for per-bucket metrics by @anjalshireesh in #19655
* replication: Avoid proxying if requested object is a deletemarker by @poornas in #19656
* With retention, skip actions expiring all versions by @krisis in #19657
* extend server config.yaml to support per pool set drive count by @harshavardhana in #19663
* Fix Walk missing entries with opts.Marker set by @klauspost in #19661
* avoid using 10MiB EC buffers in maxAPI calculations by @harshavardhana in #19665
* turn-off coloring if we have std{err,out} dumb terminals by @harshavardhana in #19667
* add support for specific error response for InvalidRange by @harshavardhana in #19668
* support 'mc support perf object' with root login disabled by @harshavardhana in #19672
* fix: Ignore AWSAccessKeyId check for SignV2 policy condition by @jiuker in #19673
* Make WalkDir return errors by @klauspost in #19677
* support ETag value to be '*' by @harshavardhana in #19682
* Update Console version to v1.4.0 by @bexsoft in #19684
* Set Console Redirect URL env variable by @cesnietor in #19683
* fix: collect quorum errors for deletePrefix() by @harshavardhana in #19685
* Support user certificate based authentication on SFTP by @olljanat in #19650

[3.13.15]
* Update minio to 2024-05-10T01-41-38Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-05-10T01-41-38Z)
* fix: unexpected credentials missing while passing (05/09/24)
* remove references for MINIO_SERVER_URL (05/09/24)
* add log-prefix name for specifying custom log-name (#19712) (05/09/24)
* Revert "Fix incorrect merging of slash-suffixed objects (#19699)" (05/09/24)
* fix: truncate Expiration to second when Add ServiceAccount (#19674) (05/10/24)
* Fix incorrect merging of slash-suffixed objects (#19699) (05/09/24)
* deprecate unexpected healing failed counters (#19705) (05/09/24)
* pass around correct endpoint while registering remote storage (#19710) (05/09/24)
* ldap-import: Add additional logs (#19691) (05/09/24)
* results must be a single channel to avoid overwriting healing.bin (#19702) (05/09/24)
* chore: use errors.New to replace fmt.Errorf with no parameters (#19568) (05/09/24)
* upgrade to go1.22.x (05/09/24)
* allow caller context during reloads() to cancel (#19687) (05/08/24)
* grid: Fix a window of a disconnected node not marked as offline (#19703) (05/09/24)
* Accept multipart checksums with part count (#19680) (05/08/24)
* kms: add support for MinKMS and remove some unused/broken code (#19368) (05/08/24)
* return appropriate error upon reaching maxClients() (#19669) (05/07/24) 

[3.13.16]
* Update minio to 2024-05-27T19-17-46Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-05-27T19-17-46Z)
* Major optimization in handling hung network disconnects, and related tests and hardening added #19719, #19605, #19741
* Fix a medium CVE for information disclosure - during GETs with conditional headers such as If-modified-since, if-unmodified-since #19810

[3.13.17]
* Update minio to 2024-05-28T17-19-04Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-05-28T17-19-04Z)

[3.13.18]
* Update minio to 2024-06-04T19-20-08Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-06-04T19-20-08Z)

[3.13.19]
* Update minio to 2024-06-06T09-36-42Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-06-06T09-36-42Z)

[3.13.20]
* Update minio to 2024-06-11T03-13-30Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-06-11T03-13-30Z)
* Disable caching of encrypted objects by @klauspost in #19890
* Calculate correct object size while replication by @shtripat in #19888
* Don't tier directory objects by @krisis in #19891
* Update docker build script to pull all changes by @donatello in #19892
* Two way streams fixes - take 2 by @klauspost in #19796

[3.13.21]
* Update minio to 2024-06-13T22-53-53Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-06-13T22-53-53Z)

[3.13.22]
* Update minio to 2024-06-22T05-26-45Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-06-22T05-26-45Z)

[3.13.23]
* Update minio to 2024-06-26T01-06-18Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-06-26T01-06-18Z)

[3.13.24]
* Update minio to 2024-06-28T09-06-49Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-06-28T09-06-49Z)

[3.13.25]
* Update minio to 2024-06-29T01-20-47Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-06-29T01-20-47Z)

[3.13.26]
* Update minio to 2024-07-04T14-25-45Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-07-04T14-25-45Z)

[3.13.27]
* Update minio to 2024-07-10T18-41-49Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-07-10T18-41-49Z)
* Add typos check to Makefile by @vadmeste in #20051
* Abstract grid connections by @klauspost in #20038
* Fix documentation for removal of delete markers ILM rule by @allanrogerr in #20056
* batch: Update job info object on success by @krisis in #20053
* Log replication errors once by @shtripat in #20063

[3.13.28]
* Update minio to 2024-07-13T01-46-15Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-07-13T01-46-15Z)

[3.13.29]
* Update minio to 2024-07-15T19-02-30Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-07-15T19-02-30Z)

[3.13.30]
* Update minio to 2024-07-16T23-46-41Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-07-16T23-46-41Z)

[3.13.31]
* Update minio to 2024-07-26T20-48-21Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-07-26T20-48-21Z)

[3.13.32]
* Update minio to 2024-07-29T22-14-52Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-07-29T22-14-52Z)

[3.13.33]
* Update minio to 2024-07-31T05-46-26Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-07-31T05-46-26Z)

[3.13.34]
* Update minio to 2024-08-03T04-33-23Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-08-03T04-33-23Z)

[3.13.35]
* Update minio to 2024-08-17T01-24-54Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-08-17T01-24-54Z)

[3.13.36]
* Update minio to 2024-08-26T15-33-07Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-08-26T15-33-07Z)

[3.13.37]
* Update minio to 2024-08-29T01-40-52Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-08-29T01-40-52Z)
* fix: string format when log IAM refresh take over 5s by @jiuker in #20331
* when a drive is closed cancel the cleanupTrash goroutine by @harshavardhana in #20337
* add more details on the payload sent to webhook audit by @harshavardhana in #20335
* bucket-metadata: Reload events/repl-targets for all buckets by @vadmeste in #20334

[3.13.38]
* Update minio to 2024-09-09T16-59-28Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-09-09T16-59-28Z)
* Skip non existent ldap entities while import (#20352)
* Dont hard error for nonexisting LDAP entries instead of logging them

[3.13.39]
* Update minio to 2024-09-13T20-26-02Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-09-13T20-26-02Z)
* PutObject() for multi-pooled was holding large region locks, which was not necessary. This affects almost all slowpoke clients and lengthy uploads.
* Re-arrange locks for CompleteMultipart, PutObject to be close to rename()

[3.14.0]
* Update minio to 2024-09-22T00-33-43Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-09-22T00-33-43Z)
* Limit S3 Select JSON documents to 10MB by @klauspost in #20439
* remove windows CI/CD for now by @harshavardhana in #20441
* Fix behavior of AddServiceAccountLDAP for non-admin users by @taran-p in #20442
* Added iam import tests for openid by @shtripat in #20432
* batch: Set a default retry attempts and a prefix by @vadmeste in #20452
* Ensure proper stale_uploads_cleanup_interval is used at all times by @ramondeklein in #20451

[3.15.0]
* Update minio to 2024-10-02T17-50-41Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-10-02T17-50-41Z)
* Limit jstream parse depth by @klauspost in #20474
* remove the list from 'mc stat' from testing via '--no-list' by @harshavardhana in #20468
* cleanup existing part.N's before renamePart() by @harshavardhana in #20466
* hold on to batch job stats till cleanup by @poornas in #20480
* use absolute path for binary checksum verification by @harshavardhana in #20487
* Fix PPC cgroup memory limit by @klauspost in #20488

[3.15.1]
* Update minio to 2024-10-13T13-34-11Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-10-13T13-34-11Z)

[3.15.2]
* Update minio to 2024-10-29T16-01-48Z
* [Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-10-29T16-01-48Z)
* Correct the date filter check for batch replication by @​shtripat in https://github.com/minio/minio/pull/20569
* Clear omitted fields by @​klauspost in https://github.com/minio/minio/pull/20575
* Trace ILM errors by @​klauspost in https://github.com/minio/minio/pull/20576
* Fix ILM expire workers exiting by @​klauspost in https://github.com/minio/minio/pull/20578
* fix: avoid useless expires value in listing meta by @​donatello in https://github.com/minio/minio/pull/20584
* heal: Avoid deadline error with very large objects (#​140) by @​vadmeste in https://github.com/minio/minio/pull/20586
* heal: large objects fix and avoid .healing.bin corner case premature exit by @​vadmeste in https://github.com/minio/minio/pull/20577
* run IAM purge routines deterministically every hr by @​donatello in https://github.com/minio/minio/pull/20587

[3.16.0]
* Update Minio to RELEASE.2024-11-07T00-52-20Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-11-07T00-52-20Z)
* Update README.md by [@&#8203;allanrogerr](https://github.com/allanrogerr) in https://github.com/minio/minio/pull/20599
* Remove `expires` field from list objects metadata by [@&#8203;donatello](https://github.com/donatello) in https://github.com/minio/minio/pull/20600
* add tests for ILM transition and healing ([#&#8203;166](https://github.com/minio/minio/issues/166)) by [@&#8203;harshavardhana](https://github.com/harshavardhana) in https://github.com/minio/minio/pull/20601
* Update console package to v1.7.3 by [@&#8203;cesnietor](https://github.com/cesnietor) in https://github.com/minio/minio/pull/20606
* Bump github.com/golang-jwt/jwt/v4 from 4.5.0 to 4.5.1 by [@&#8203;dependabot](https://github.com/dependabot) in https://github.com/minio/minio/pull/20611
* Fix msgUnPath crash by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20614
* docs: remove redundant prometheus metric by [@&#8203;erfantkerfan](https://github.com/erfantkerfan) in https://github.com/minio/minio/pull/20618
* decompress audit log properly before sending to remote target by [@&#8203;ramondeklein](https://github.com/ramondeklein) in https://github.com/minio/minio/pull/20619
* [@&#8203;erfantkerfan](https://github.com/erfantkerfan) made their first contribution in https://github.com/minio/minio/pull/20618

[3.17.0]
* Update minio to RELEASE.2024-12-13T22-19-12Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-12-13T22-19-12Z)
* Fix lint issues from v1.62.0 upgrade by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20633
* Harden internode DeadlineConn by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20631
* Make DeadlineConn http.Listener compatible by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20635

[3.18.0]
* CLOUDRON_OIDC_PROVIDER_NAME implemented

[3.18.1]
* Update minio to RELEASE.2024-12-18T13-15-44Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2024-12-18T13-15-44Z)
* Bump golang.org/x/crypto from 0.23.0 to 0.31.0 in /docs/debugging/inspect by [@&#8203;dependabot](https://github.com/dependabot) in https://github.com/minio/minio/pull/20760
* Bump golang.org/x/crypto from 0.29.0 to 0.31.0 by [@&#8203;dependabot](https://github.com/dependabot) in https://github.com/minio/minio/pull/20767
* update all dependencies and use latest msgp by [@&#8203;harshavardhana](https://github.com/harshavardhana) in https://github.com/minio/minio/pull/20768
* s3: Sanitize the source object name in CopyObject handler by [@&#8203;marktheunissen](https://github.com/marktheunissen) in https://github.com/minio/minio/pull/20774
* heal: Include more use case of not healable but readable objects ([#&#8203;248](https://github.com/minio/minio/issues/248)) by [@&#8203;vadmeste](https://github.com/vadmeste) in https://github.com/minio/minio/pull/20776

[4.0.0]
* Update minio to RELEASE.2025-01-18T00-31-37Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-01-18T00-31-37Z)
* ListObjectParts should return actual size by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20782
* Add resiliency tests by [@&#8203;allanrogerr](https://github.com/allanrogerr) in https://github.com/minio/minio/pull/20786
* Add cpuio profiling potential crash workaround by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20809
* Bump golang.org/x/net to silence wrong vuln checker by [@&#8203;vadmeste](https://github.com/vadmeste) in https://github.com/minio/minio/pull/20814
* decom: avoid skipping single delete markers for replication by [@&#8203;poornas](https://github.com/poornas) in https://github.com/minio/minio/pull/20836
* update `github.com/minio/kms-go/kes` to v0.3.1 by [@&#8203;aead](https://github.com/aead) in https://github.com/minio/minio/pull/20843
* Fix inconsistently written compressed files. by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20846
* s3: Provide enough buffer when the object final size is unknown by [@&#8203;vadmeste](https://github.com/vadmeste) in https://github.com/minio/minio/pull/20847
* Correct bucket metrics name by [@&#8203;shtripat](https://github.com/shtripat) in https://github.com/minio/minio/pull/20823
* update deps by [@&#8203;harshavardhana](https://github.com/harshavardhana) in https://github.com/minio/minio/pull/20851

[4.0.1]
* Update minio to RELEASE.2025-01-20T14-49-07Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-01-20T14-49-07Z)
* do not list buckets without local quorum by [@&#8203;harshavardhana](https://github.com/harshavardhana) in https://github.com/minio/minio/pull/20852
* Add Full Object Checksums and CRC64-NVME by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20855

[4.1.0]
* Update minio to RELEASE.2025-02-03T21-03-04Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-02-03T21-03-04Z)
* do not expose secret-key to lambda event handler by [@&#8203;harshavardhana](https://github.com/harshavardhana) in https://github.com/minio/minio/pull/20870
* Allow URLs up to 32KB and improve parsing speed by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20874
* DeleteObjects: Send delete to all pools ([#&#8203;172](https://github.com/minio/minio/issues/172)) by [@&#8203;vadmeste](https://github.com/vadmeste) in https://github.com/minio/minio/pull/20821
* Check for valid checksum by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20878
* Add lock overload protection by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20876
* Redact sensitive fields from DescribeBatchJob by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20881
* fix: proxy requests to honor global transport by [@&#8203;vadmeste](https://github.com/vadmeste) in https://github.com/minio/minio/pull/20889

[4.1.1]
* Update minio to RELEASE.2025-02-07T23-21-09Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-02-07T23-21-09Z)
* replication: default tag timestamps in CopyObject call by [@&#8203;poornas](https://github.com/poornas) in https://github.com/minio/minio/pull/20891
* sts: allow client-provided intermediate CAs by [@&#8203;aead](https://github.com/aead) in https://github.com/minio/minio/pull/20896
* Fix multipart replication with 1 part objects by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20895
* kms: add `MINIO_KMS_REPLICATE_KEYID` option by [@&#8203;aead](https://github.com/aead) in https://github.com/minio/minio/pull/20909

[4.1.2]
* Update minio to RELEASE.2025-02-18T16-25-55Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-02-18T16-25-55Z)
* Fix nil pointer deref in PeerPolicyMappingHandler by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20913
* (s)ftp: Enable trailing headers for upload by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20914
* Quick patch for Snowball AutoExtract: [#&#8203;20883](https://github.com/minio/minio/issues/20883) by [@&#8203;mannreis](https://github.com/mannreis) in https://github.com/minio/minio/pull/20885
* Update console to 1.7.6 by [@&#8203;cesnietor](https://github.com/cesnietor) in https://github.com/minio/minio/pull/20925
* Fix missing authorization check for `PutObjectRetentionHandler` by [@&#8203;ramondeklein](https://github.com/ramondeklein) in https://github.com/minio/minio/pull/20929
* ftp: Enable trailing headers, just like sftp by [@&#8203;jkandasa](https://github.com/jkandasa) in https://github.com/minio/minio/pull/20938
* fix(docs): update mc admin trace link to MinIO official docs by [@&#8203;felixrodrigo19](https://github.com/felixrodrigo19) in https://github.com/minio/minio/pull/20943
* Extract all files from encrypted stream with inspect by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20937
* Test checksum types for invalid combinations by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20953
* tests: Do not allow forced type asserts by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20905
* [@&#8203;mannreis](https://github.com/mannreis) made their first contribution in https://github.com/minio/minio/pull/20885
* [@&#8203;jkandasa](https://github.com/jkandasa) made their first contribution in https://github.com/minio/minio/pull/20938
* [@&#8203;1911860538](https://github.com/1911860538) made their first contribution in https://github.com/minio/minio/pull/20939
* [@&#8203;felixrodrigo19](https://github.com/felixrodrigo19) made their first contribution in https://github.com/minio/minio/pull/20943

[4.1.3]
* Update minio to RELEASE.2025-02-28T09-55-16Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-02-28T09-55-16Z)
* Fix importIAM issue with importing implied policies by [@&#8203;taran-p](https://github.com/taran-p) in https://github.com/minio/minio/pull/20956
* Update SRSvcAccCreate with new type by [@&#8203;taran-p](https://github.com/taran-p) in https://github.com/minio/minio/pull/20974
* build(deps): bump github.com/go-jose/go-jose/v4 from 4.0.4 to 4.0.5 by [@&#8203;dependabot](https://github.com/dependabot) in https://github.com/minio/minio/pull/20976
* Fix typos by [@&#8203;triplechecker-com](https://github.com/triplechecker-com) in https://github.com/minio/minio/pull/20970
* Update golang.org/x/crypto to address govulncheck complaint by [@&#8203;vadmeste](https://github.com/vadmeste) in https://github.com/minio/minio/pull/20983
* Allow disabling of all X-Forwarded-For header processing by [@&#8203;marktheunissen](https://github.com/marktheunissen) in https://github.com/minio/minio/pull/20977
* check for errors on bitrotWriter Close()  by [@&#8203;vadmeste](https://github.com/vadmeste) in https://github.com/minio/minio/pull/20982
* replication: set checksum type correctly by [@&#8203;poornas](https://github.com/poornas) in https://github.com/minio/minio/pull/20985
* fix: SFTP auth bypass with no pub key in LDAP by [@&#8203;donatello](https://github.com/donatello) in https://github.com/minio/minio/pull/20986
* Fix healing probability for skipped folders by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20988
* [@&#8203;triplechecker-com](https://github.com/triplechecker-com) made their first contribution in https://github.com/minio/minio/pull/20970

[4.2.0]
* Update minio to RELEASE.2025-03-12T18-04-18Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-03-12T18-04-18Z)
* Enforce a bucket limit of 100 to v2 metrics calls by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20761
* Update typos config by [@&#8203;donatello](https://github.com/donatello) in https://github.com/minio/minio/pull/21018
* Update ssh and jws libs for fixed CVEs by [@&#8203;donatello](https://github.com/donatello) in https://github.com/minio/minio/pull/21017
* Disable unstable test by [@&#8203;klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/20996
* decom: Ignore not found buckets ([#&#8203;509](https://github.com/minio/minio/issues/509)) by [@&#8203;vadmeste](https://github.com/vadmeste) in https://github.com/minio/minio/pull/21023

[4.3.0]
* Update base image to 5.0.0

[4.4.0]
* Update minio to RELEASE.2025-04-03T14-56-28Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-04-03T14-56-28Z)
* fix(templates): replace dash with underscore by [@itsJohnySmith](https://github.com/itsJohnySmith) in https://github.com/minio/minio/pull/19566
* Updating PromQL queries to include tilde needed to work with 'all' variable by [@excircle](https://github.com/excircle) in https://github.com/minio/minio/pull/21054
* Add new API endpoint to revoke STS tokens by [@taran-p](https://github.com/taran-p) in https://github.com/minio/minio/pull/21072
* fix call toAPIErrorCode with a nil value error after check another err by [@alingse](https://github.com/alingse) in https://github.com/minio/minio/pull/21083
* fix: token is invalid for admin heal when minio is distErasure at windows by [@jiuker](https://github.com/jiuker) in https://github.com/minio/minio/pull/21092
* internal: add handling of KVS config parse by [@wooffie](https://github.com/wooffie) in https://github.com/minio/minio/pull/21079
* Fix anonymous unsigned trailing headers by [@klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/21095
* Fix: Change TTFB metric type to histogram by [@iamsagar99](https://github.com/iamsagar99) in https://github.com/minio/minio/pull/20999
* Try reconnect IAM systems if failed initially by [@shtripat](https://github.com/shtripat) in https://github.com/minio/minio/pull/20333
* Fix evaluation of NewerNoncurrentVersions by [@krisis](https://github.com/krisis) in https://github.com/minio/minio/pull/21096

[4.4.1]
* Update minio to RELEASE.2025-04-08T15-41-24Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-04-08T15-41-24Z)
* decom: Ignore orphan delete markers in verification stage by [@&#8203;vadmeste](https://github.com/vadmeste) in https://github.com/minio/minio/pull/21106
* ilm: Expect objects with only free versions when scanning by [@&#8203;krisis](https://github.com/krisis) in https://github.com/minio/minio/pull/21112

[4.4.2]
* Update minio to RELEASE.2025-04-22T22-12-26Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-04-22T22-12-26Z)
* move to go1.24 by [@harshavardhana](https://github.com/harshavardhana) in https://github.com/minio/minio/pull/21114
* Fix buffered streams missing final entries  by [@klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/21122
* typo: fix error msg for decoding XL headers by [@wooffie](https://github.com/wooffie) in https://github.com/minio/minio/pull/21120
* typo: fix return of checkDiskFatalErrs by [@wooffie](https://github.com/wooffie) in https://github.com/minio/minio/pull/21121
* Fix shared error buffer by [@klauspost](https://github.com/klauspost) in https://github.com/minio/minio/pull/21203
* support autogenerated credentials for KMS_SECRET_KEY properly by [@harshavardhana](https://github.com/harshavardhana) in https://github.com/minio/minio/pull/21223
* fix: batch expiry job doesn't report delete marker in batch-status me by [@jiuker](https://github.com/jiuker) in https://github.com/minio/minio/pull/21183
* Nats tls handshake first by [@matthewdavidlloyd](https://github.com/matthewdavidlloyd) in https://github.com/minio/minio/pull/21008

[5.0.0]
* Update minio to RELEASE.2025-05-24T17-08-30Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-05-24T17-08-30Z)
* **BREAKING RELEASE:** Embedded UI Console is now deprecated and moved to object-browser
* **IMPORTANT:** MinIO has decided to [remove all administration features](https://github.com/minio/object-browser/pull/3509) from the console. The UI now only has an object browser. You must now use the `mc` CLI tool for creating keys and setting up permissions.
* **IMPORANT**: OIDC Auth has been removed upstream as well. You can only access MinIO using admin credentials after this update. [Access key creation is no longer possible](https://github.com/minio/minio/issues/21344) .

[5.1.0]
* Update minio to RELEASE.2025-07-18T21-56-31Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-07-18T21-56-31Z)
* Update Console to latest version by [@bexsoft](https://github.com/bexsoft) in https://github.com/minio/minio/pull/21397
* CopyObject must preserve checksums and encrypt them if required by [@marktheunissen](https://github.com/marktheunissen) in https://github.com/minio/minio/pull/21399
* fix: admin api - SetPolicyForUserOrGroup avoid nil deref by [@wooffie](https://github.com/wooffie) in https://github.com/minio/minio/pull/21400
* fix: lambda handler response to match the lambda return status by [@harshavardhana](https://github.com/harshavardhana) in https://github.com/minio/minio/pull/21436
* s3: Fix early listing stopping when ILM is enabled ([#472](https://github.com/minio/minio/issues/472)) by [@vadmeste](https://github.com/vadmeste) in https://github.com/minio/minio/pull/21246
* Update README.md by [@varun28sharma](https://github.com/varun28sharma) in https://github.com/minio/minio/pull/21125
* fix: empty fileName cause Reader nil for PostPolicyBucketHandler by [@jiuker](https://github.com/jiuker) in https://github.com/minio/minio/pull/21323
* fix: panic for TestListObjectsWithILM by [@jiuker](https://github.com/jiuker) in https://github.com/minio/minio/pull/21322
* modernizes for loop in cmd/, internal/ by [@12ya](https://github.com/12ya) in https://github.com/minio/minio/pull/21309
* Add `targetArn` label for bucket replication metrics by [@shtripat](https://github.com/shtripat) in https://github.com/minio/minio/pull/21354

[5.1.1]
* Update minio to RELEASE.2025-07-23T15-54-02Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-07-23T15-54-02Z)
* Add support for X25519MLKEM768 by [@loganaden](https://github.com/loganaden) in https://github.com/minio/minio/pull/21435
* fix: restrict SinglePool by the minimum free drive threshold by [@jiuker](https://github.com/jiuker) in https://github.com/minio/minio/pull/21115
* wait for metadata reads on minDisks+1 for HEAD/GET when data==parity by [@harshavardhana](https://github.com/harshavardhana) in https://github.com/minio/minio/pull/21449
* fix boundary value bug when objTime ends in whole seconds (without sub-second) by [@supermp](https://github.com/supermp) in https://github.com/minio/minio/pull/21419
* simplify validating policy mapping by [@0xMALVEE](https://github.com/0xMALVEE) in https://github.com/minio/minio/pull/21450

[5.2.0]
* Update minio to RELEASE.2025-09-07T16-13-09Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-09-07T16-13-09Z)
* Update console to v2.0.3 by [@bexsoft](https://github.com/bexsoft) in [#21474](https://github.com/minio/minio/pull/21474)
* bring more idempotent behavior to AbortMultipartUpload() by [@jiuker](https://github.com/jiuker) in [#21475](https://github.com/minio/minio/pull/21475)
* fix: record extral skippedEntry for listObject by [@jiuker](https://github.com/jiuker) in [#21484](https://github.com/minio/minio/pull/21484)
* feat: add variable for datasource in grafana dashboards by [@hornjo](https://github.com/hornjo) in [#21470](https://github.com/minio/minio/pull/21470)
* imagePullSecrets consistent types for global , local by [@0xMALVEE](https://github.com/0xMALVEE) in [#21500](https://github.com/minio/minio/pull/21500)
* Optimize outdated commands in the log by [@dormanze](https://github.com/dormanze) in [#21498](https://github.com/minio/minio/pull/21498)
* fix(helm): do not suspend versioning by default for buckets, only set versioning if specified(21349) by [@LOCODAK](https://github.com/LOCODAK) in [#21494](https://github.com/minio/minio/pull/21494)
* Check legalHoldPerm by [@klauspost](https://github.com/klauspost) in [#21508](https://github.com/minio/minio/pull/21508)
* fix: errUploadIDNotFound will be ignored when err is from peer client by [@jiuker](https://github.com/jiuker) in [#21504](https://github.com/minio/minio/pull/21504)
* fix: claim based oidc for official aws libraries by [@0xMALVEE](https://github.com/0xMALVEE) in [#21468](https://github.com/minio/minio/pull/21468)

[5.3.0]
* Update minio to RELEASE.2025-10-15T17-29-55Z
* [Full Changelog](https://github.com/minio/minio/releases/tag/RELEASE.2025-10-15T17-29-55Z)
* A CVE was reported [Privilege Escalation via Session Policy Bypass in Service Accounts and STS](https://github.com/minio/minio/security/advisories/GHSA-jjjj-jwhf-8rgr) and fixed in this release,
* fix: remove unnecessary replication checks by [@0xMALVEE](https://github.com/0xMALVEE) in [#21569](https://github.com/minio/minio/pull/21569)
* LDAP TLS handshake fails with StartTLS and tls_skip_verify=off by [@mosesdd](https://github.com/mosesdd) in [#21582](https://github.com/minio/minio/pull/21582)
* fix: incorrect poolID when after decommission adding pools by [@jiuker](https://github.com/jiuker) in [#21590](https://github.com/minio/minio/pull/21590)
* fix: after saveRebalanceStats cancel will be empty by [@jiuker](https://github.com/jiuker) in [#21597](https://github.com/minio/minio/pull/21597)
* Use new gofumpt by [@klauspost](https://github.com/klauspost) in [#21613](https://github.com/minio/minio/pull/21613)
* fix: timeN function return final closure not be called by [@drivebyer](https://github.com/drivebyer) in [#21615](https://github.com/minio/minio/pull/21615)
* fix: allow trailing slash in AWS S3 POST policies by [@cduzer](https://github.com/cduzer) in [#21612](https://github.com/minio/minio/pull/21612)
* fix: check sub-policy properly when present by [@donatello](https://github.com/donatello) in [#21642](https://github.com/minio/minio/pull/21642)

